<?php
/***************************************************************************
 *                      lang_main.php [Polish]
 *                      -------------------
 * begin                : Sat Dec 16 2000
 * copyright            : (C) 2001 The phpBB Group
 * email                : support@phpbb.com
 * modification         : (C) 2003 Przemo http://www.przemo.org
 * date modification    : ver. 1.12.4 2005/12/10 1:14
 *
 ****************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 ***************************************************************************/

//
// Translation by Mike Paluchowski and Radek Kmiecicki
// http://www.phpbb.pl/
//


//
// The format of this file is ---> $lang['message'] = 'text';
//
// You should also try to set a locale and a character encoding (plus direction). The encoding and direction
// will be sent to the template. The locale may or may not work, it's dependent on OS support and the syntax
// varies ... give it your best guess!
//



// Check for user gender
$he = ($userdata['user_gender'] != 2) ? true : false;

setlocale(LC_ALL, 'pl');
$lang['ENCODING'] = 'iso-8859-2';
$lang['DIRECTION'] = 'ltr';
$lang['DATE_FORMAT'] = 'd M Y';

//
// Common, these terms are used
// extensively on several pages
//
$lang['Forum'] = 'Forum';
$lang['Category'] = 'Kategoria';
$lang['Topic'] = 'Temat';
$lang['Topics'] = 'Tematy';
$lang['Replies'] = 'Odpowiedzi';
$lang['Views'] = 'Wywietle';
$lang['Post'] = 'Post';
$lang['Posts'] = 'Posty';
$lang['Posted'] = 'Wysany';
$lang['Username'] = 'Uytkownik';
$lang['Password'] = 'Haso';
$lang['Email'] = 'E-mail';
$lang['Poster'] = 'Wysa';
$lang['Author'] = 'Autor';
$lang['Time'] = 'Czas';
$lang['Hours'] = 'Godzin';
$lang['Message'] = 'Wiadomo';

$lang['1_Day'] = '1 Dzie';
$lang['7_Days'] = '7 Dni';
$lang['2_Weeks'] = '2 Tygodnie';
$lang['1_Month'] = '1 Miesic';
$lang['3_Months'] = '3 Miesice';
$lang['6_Months'] = '6 Miesicy';
$lang['1_Year'] = '1 Rok';

$lang['Jump_to'] = 'Skocz do';
$lang['Submit'] = 'Wylij';
$lang['Reset'] = 'Wyczy';
$lang['Cancel'] = 'Anuluj';
$lang['Preview'] = 'Podgld';
$lang['Confirm'] = 'Zatwierd';
$lang['Yes'] = 'Tak';
$lang['No'] = 'Nie';
$lang['Enabled'] = 'Wczony';
$lang['Disabled'] = 'Wyczony';
$lang['Error'] = 'Bd';

$lang['Next'] = 'Dalej';
$lang['Previous'] = 'Wstecz';
$lang['Goto_page'] = 'Id do strony';
$lang['Joined'] = 'Doczy';
$lang['IP_Address'] = 'Adres IP';

$lang['Select_forum'] = 'Wybierz forum';
$lang['View_newest_post'] = 'Zobacz najnowszy post';
$lang['Page_of'] = 'Strona <b>%d</b> z <b>%d</b>';

$lang['ICQ'] = 'Numer ICQ';
$lang['AIM'] = 'Numer Gadu-Gadu';
$lang['MSNM'] = 'MSN Messenger';
$lang['YIM'] = 'Yahoo Messenger';

$lang['Forum_Index'] = '%s Strona Gwna';

$lang['Post_new_topic'] = 'Napisz nowy temat';
$lang['Reply_to_topic'] = 'Odpowiedz do tematu';
$lang['Reply_with_quote'] = 'Odpowiedz z cytatem';

$lang['Click_return_topic'] = 'Kliknij %sTutaj%s aby powrci do tematu';
$lang['Click_return_forum'] = 'Kliknij %sTutaj%s aby powrci na forum';
$lang['Click_view_message'] = 'Kliknij %sTutaj%s aby zobaczy swoj wiadomo';
$lang['Click_return_group'] = 'Kliknij %sTutaj%s aby powrci do informacji o grupach';

$lang['Admin_panel'] = 'Panel Administracyjny';

$lang['Board_disable'] = 'To forum jest teraz wyczone.';

//
// Global Header strings
//
$lang['Registered_users'] = 'Zarejestrowani Uytkownicy:';
$lang['Browsing_forum'] = 'Uytkownicy przegldajcy to forum:';
$lang['Online_users_zero_total'] = 'Na Forum jest <b>0</b> uytkownikw :: ';
$lang['Online_users_total'] = 'Na Forum jest <b>%d</b> uytkownikw :: ';
$lang['Online_user_total'] = 'Na Forum jest <b>%d</b> uytkownik :: ';
$lang['Reg_users_zero_total'] = '0 Zarejestrowanych, ';
$lang['Reg_users_total'] = '%d Zarejestrowanych, ';
$lang['Reg_user_total'] = '%d Zarejestrowany, ';
$lang['Hidden_users_zero_total'] = '0 Ukrytych i ';
$lang['Hidden_users_total'] = '%d Ukrytych i ';
$lang['Hidden_user_total'] = '%d Ukryty i ';
$lang['Guest_users_zero_total'] = '0 Goci';
$lang['Guest_users_total'] = '%d Goci';
$lang['Guest_user_total'] = '%d Go';
$lang['Record_online_users'] = 'Najwicej uytkownikw <b>%s</b> byo obecnych %s';

$lang['Admin_online_color'] = 'Administrator';
$lang['Mod_online_color'] = 'Moderator';

$lang['You_last_visit'] = 'Ostatnio odwiedzi' .  (($he) ? 'e' : 'a') . ' nas %s';
$lang['Current_time'] = 'Obecny czas to %s';


$lang['Search_your_posts'] = 'Zobacz swoje posty';
$lang['Search_unanswered'] = 'Zobacz posty bez odpowiedzi';

$lang['Register'] = 'Rejestracja';
$lang['Profile'] = 'Profil';
$lang['Edit_profile'] = 'Zmie swj profil';
$lang['Search'] = 'Szukaj';
$lang['Memberlist'] = 'Uytkownicy';
$lang['FAQ'] = 'FAQ';
$lang['BBCode_guide'] = 'Przewodnik BBCode';
$lang['Usergroups'] = 'Grupy';
$lang['Last_Post'] = 'Ostatni post';
$lang['Moderator'] = 'Moderator';
$lang['Moderators'] = 'Moderatorzy';


//
// Stats block text
//
$lang['Posted_articles_zero_total'] = 'Nasi uytkownicy napisali <b>0</b> postw';
$lang['Posted_articles_total'] = 'Nasi uytkownicy napisali <b>%d</b> postw';
$lang['Posted_article_total'] = 'Nasi uytkownicy napisali <b>%d</b> wiadomo';
$lang['Registered_users_zero_total'] = 'Mamy <b>0</b> zarejestrowanych uytkownikw';
$lang['Registered_users_total'] = 'Mamy <b>%d</b> zarejestrowanych uytkownikw';
$lang['Registered_user_total'] = 'Mamy <b>%d</b> zarejestrowanego uytkownika';
$lang['Newest_user'] = 'Ostatnio zarejestrowana osoba: <b>%s%s%s</b>';

$lang['No_new_posts'] = 'Brak nowych postw';
$lang['New_posts'] = 'Nowe posty';
$lang['New_post'] = 'Nowy post';
$lang['No_new_posts_hot'] = 'Brak nowych postw [ Popularny ]';
$lang['New_posts_hot'] = 'Nowe posty [ Popularny ]';
$lang['No_new_posts_locked'] = 'Brak nowych postw [ Zablokowany ]';
$lang['New_posts_locked'] = 'Nowe posty [ Zablokowany ]';
$lang['Forum_is_locked'] = 'Forum Zablokowane';


//
// Login
//
$lang['Login'] = 'Zaloguj';
$lang['Logout'] = 'Wyloguj';

$lang['Forgotten_password'] = 'Zapomniaem hasa';

$lang['Log_me_in'] = 'Zaloguj mnie automatycznie przy kadej wizycie';


//
// Index page
//
$lang['No_Posts'] = 'Brak Postw';
$lang['No_forums'] = 'Brak For';

$lang['Private_Message'] = 'Prywatna Wiadomo';
$lang['Private_Messages'] = 'Prywatne Wiadomoci';
$lang['Who_is_Online'] = 'Kto jest na Forum';

$lang['Mark_all_forums'] = 'Oznacz wszystkie fora jako przeczytane';
$lang['Forums_marked_read'] = 'Wszystkie fora oznaczono jako przeczytane';


//
// Viewforum
//
$lang['View_forum'] = 'Zobacz Forum';

$lang['Forum_not_exist'] = 'Wybrane przez Ciebie forum nie istnieje';

$lang['Display_topics'] = 'Wywietl tematy z ostatnich';

$lang['Topic_Announcement'] = '<b>Ogoszenie:</b>';
$lang['Topic_Sticky'] = '<b>Przyklejony:</b>';
$lang['Topic_Moved'] = '<b>Przesunity:</b>';
$lang['Topic_Poll'] = '<b>[ Ankieta ]</b>';

$lang['Mark_all_topics'] = 'Oznacz wszystkie tematy jako przeczytane';
$lang['Topics_marked_read'] = 'Tematy na tym forum zostay oznaczone jako przeczytane';

$lang['Rules_post_can'] = '<b>Moesz</b> pisa nowe tematy';
$lang['Rules_post_cannot'] = '<b>Nie moesz</b> pisa nowych tematw';
$lang['Rules_reply_can'] = '<b>Moesz</b> odpowiada w tematach';
$lang['Rules_reply_cannot'] = '<b>Nie moesz</b> odpowiada w tematach';
$lang['Rules_edit_can'] = '<b>Moesz</b> zmienia swoje posty';
$lang['Rules_edit_cannot'] = '<b>Nie moesz</b> zmienia swoich postw';
$lang['Rules_delete_can'] = '<b>Moesz</b> usuwa swoje posty';
$lang['Rules_delete_cannot'] = '<b>Nie moesz</b> usuwa swoich postw';
$lang['Rules_vote_can'] = '<b>Moesz</b> gosowa w ankietach';
$lang['Rules_vote_cannot'] = '<b>Nie moesz</b> gosowa w ankietach';
$lang['Rules_moderate'] = '<b>Moesz</b> %smoderowa to forum%s';

$lang['No_topics_post_one'] = 'Nie ma adnych postw na tym forum<br />Kliknij na przycisk <b>Nowy Temat</b> aby co napisa';
$lang['No_topics_post_one_ignore'] = 'Nie ma wicej tematw ktrych nie ignorujesz na tym forum, kliknij link "Poka ignorowane tematy" aby zobaczy wszystkie tematy';

//
// Viewtopic
//
$lang['View_topic'] = 'Zobacz temat';

$lang['Guest'] = 'Go';
$lang['Post_subject'] = 'Temat postu';
$lang['View_next_topic'] = 'Nastpny temat';
$lang['View_previous_topic'] = 'Poprzedni temat';
$lang['Submit_vote'] = 'Wylij Gos';
$lang['View_results'] = 'Zobacz Wyniki';

$lang['No_newer_topics'] = 'Nie ma nowszych tematw na tym forum';
$lang['No_older_topics'] = 'Nie ma starszych tematw na tym forum';
$lang['No_posts_topic'] = 'Nie istniej adne posty dla tego tematu';

$lang['Display_posts'] = 'Wywietl posty z ostatnich';
$lang['All_Posts'] = 'Wszystkie Posty';
$lang['Newest_First'] = 'Najpierw Nowsze';
$lang['Oldest_First'] = 'Najpierw Starsze';

$lang['Back_to_top'] = 'Powrt do gry';

$lang['Read_profile'] = 'Zobacz profil autora';
$lang['Visit_website'] = 'Odwied stron autora';
$lang['Edit_delete_post'] = 'Zmie/Usu ten post';
$lang['View_IP'] = 'Zobacz IP autora';
$lang['Delete_post'] = 'Usu ten post';

$lang['wrote'] = 'napisa/a';
$lang['Quote'] = 'Cytat';
$lang['Code'] = 'Kod';

$lang['Edited_time_total'] = 'Ostatnio zmieniony przez %s %s, w caoci zmieniany %d raz';
$lang['Edited_times_total'] = 'Ostatnio zmieniony przez %s %s, w caoci zmieniany %d razy';

$lang['Lock_topic'] = 'Zablokuj ten temat';
$lang['Unlock_topic'] = 'Odblokuj ten temat';
$lang['Move_topic'] = 'Przesu ten temat';
$lang['Delete_topic'] = 'Usu ten temat';
$lang['Split_topic'] = 'Podziel ten temat';

$lang['Stop_watching_topic'] = 'Przesta ledzi ten temat';
$lang['Start_watching_topic'] = 'led odpowiedzi w tym temacie';
$lang['No_longer_watching'] = 'Przesta' .  (($he) ? 'e' : 'a') . ' ledzi ten temat';
$lang['You_are_watching'] = 'Rozpocz' .  (($he) ? 'e' : 'a') . ' ledzenie tego tematu';

$lang['Total_votes'] = 'Wszystkich Gosw';

//
// Posting/Replying (Not private messaging!)
//
$lang['Message_body'] = 'Tre wiadomoci';
$lang['Topic_review'] = 'Przegld tematu';

$lang['No_post_mode'] = 'Nie okrelono typu postu';

$lang['Post_a_new_topic'] = 'Napisz nowy temat';
$lang['Post_a_reply'] = 'Napisz odpowied';
$lang['Post_topic_as'] = 'Napisz temat jako';
$lang['Edit_Post'] = 'Zmie post';
$lang['Options'] = 'Opcje';

$lang['Post_Announcement'] = 'Ogoszenie';
$lang['Post_Sticky'] = 'Przyklejony';
$lang['Post_Normal'] = 'Normalny';

$lang['Confirm_delete'] = 'Czy na pewno chcesz usun ten post?';
$lang['Confirm_delete_poll'] = 'Czy na pewno chcesz usun t ankiet?';

$lang['Flood_Error'] = 'Nie moesz wysa nowego postu tak szybko po poprzednim, zaczekaj chwil i sprbuj ponownie';
$lang['Empty_subject'] = 'Musisz wpisa temat jeli wysyasz nowy wtek';
$lang['Empty_message'] = 'Musisz wpisa wiadomo przed wysaniem';
$lang['Forum_locked'] = 'To forum jest zablokowane, nie moesz pisa dodawa ani zmienia na nim czegokolwiek';
$lang['Topic_locked'] = 'Ten temat jest zablokowany bez moliwoci zmiany postw lub pisania odpowiedzi';
$lang['No_topic_id'] = 'Musisz wybra temat do wysania odpowiedzi';
$lang['No_valid_mode'] = 'Moesz jedynie pisa nowe, odpowiada, zmienia lub cytowa wiadomoci, wr i sprbuj ponownie';
$lang['No_such_post'] = 'Taki post lub temat nie istnieje, by moe zosta przed chwil usunity, wr i sprbuj ponownie';
$lang['Edit_own_posts'] = 'Moesz zmienia jedynie swoje posty';
$lang['Delete_own_posts'] = 'Moesz usuwa jedynie swoje posty';
$lang['Cannot_delete_replied'] = 'Nie moesz usuwa postw, na ktre jest odpowied';
$lang['Cannot_delete_poll'] = 'Nie moesz usun aktywnej ankiety';
$lang['Empty_poll_title'] = 'Musisz wpisa tytu dla ankiety';
$lang['To_few_poll_options'] = 'Musisz wpisa przynajmniej dwie opcje ankiety';
$lang['To_many_poll_options'] = 'Poda' .  (($he) ? 'e' : 'a') . ' zbyt wiele opcji dla ankiety';
$lang['Already_voted'] = 'Odda' .  (($he) ? 'e' : 'a') . ' ju gos w tej ankiecie';
$lang['No_vote_option'] = 'Musisz wybra opcj podczas gosowania';

$lang['Add_poll'] = 'Dodaj Ankiet';
$lang['Add_poll_explain'] = 'Jeeli nie chcesz dodawa ankiety do tego tematu, pozostaw pola puste';
$lang['Poll_question'] = 'Pytanie do ankiety';
$lang['Poll_option'] = 'Opcja ankiety';
$lang['Add_option'] = 'Dodaj opcj';
$lang['Update'] = 'Aktualizuj';
$lang['Delete'] = 'Usu';
$lang['Poll_for'] = 'Czas trwania';
$lang['Days'] = 'Dni';
$lang['Poll_for_explain'] = '[ Wpisz 0 lub pozostaw puste dla niekoczcej si ankiety ]';
$lang['Delete_poll'] = 'Usu Ankiet';

$lang['Disable_HTML_post'] = 'Wycz HTML w tym pocie';
$lang['Disable_BBCode_post'] = 'Wycz BBCode w tym pocie';
$lang['Disable_Smilies_post'] = 'Wycz Umieszki w tym pocie';

$lang['HTML_is_ON'] = 'HTML: <u>TAK</u>';
$lang['HTML_is_OFF'] = 'HTML: <u>NIE</u>';
$lang['BBCode_is_ON'] = '%sBBCode%s: <u>TAK</u>';
$lang['BBCode_is_OFF'] = '%sBBCode%s: <u>NIE</u>';
$lang['Smilies_are_ON'] = 'Umieszki: <u>TAK</u>';
$lang['Smilies_are_OFF'] = 'Umieszki: <u>NIE</u>';

$lang['Attach_signature'] = 'Dodaj podpis (moe by zmieniony w profilu)';
$lang['Notify'] = 'Powiadom mnie gdy kto odpowie';

$lang['Stored'] = 'Wiadomo zostaa zapisana';
$lang['Deleted'] = 'Wiadomo zostaa usunita';
$lang['Poll_delete'] = 'Ankieta zostaa usunita';
$lang['Vote_cast'] = 'Twj gos zosta zapisany';

$lang['Topic_reply_notification'] = 'Powiadomienie o Odpowiedzi';

$lang['bbcode_b_help'] = 'Tekst pogrubiony: [b]tekst[/b] Rada: zaznacz tekst i kliknij';
$lang['bbcode_i_help'] = 'Tekst kursyw: [i]tekst[/i] Rada: zaznacz tekst i kliknij';
$lang['bbcode_u_help'] = 'Tekst podkrelony: [u]tekst[/u] Rada: zaznacz tekst i kliknij';
$lang['bbcode_q_help'] = 'Cytat: [quote]tekst[/quote] Rada: zaznacz tekst i kliknij';
$lang['bbcode_c_help'] = 'Poka kod: [code]kod[/code] Rada: zaznacz tekst i kliknij';
$lang['bbcode_l_help'] = 'Lista: [list]tekst[/list] Rada: zaznacz tekst i kliknij';
$lang['bbcode_o_help'] = 'Lista uporzdkowana: [list=]tekst[/list] Rada: zaznacz tekst i kliknij';
$lang['bbcode_p_help'] = 'Wstaw obrazek: [img]http://adres_obrazka[/img] Rada: Kliknij i wpisz adres';
$lang['bbcode_w_help'] = '[url]http://adres[/url] Rada: Kliknij wpisz nazw i adres';
$lang['bbcode_a_help'] = 'Zamknij wszystkie otwarte tagi bbCode';
$lang['bbcode_s_help'] = 'Kolor czcionki: [color=red]tekst[/color] Rada: zaznacz tekst i wybierz kolor';
$lang['bbcode_f_help'] = 'Rozmiar czcionki: [size=x-small]may tekst[/size] Rada: zaznacz tekst i wybierz rozmiar';

$lang['Emoticons'] = 'Ikony Emocji';
$lang['More_emoticons'] = 'Wicej Ikon';

$lang['Font_color'] = 'Kolor';
$lang['color_default'] = 'Domylny';
$lang['color_dark_red'] = 'Ciemnoczerwony';
$lang['color_red'] = 'Czerwony';
$lang['color_orange'] = 'Pomaraczowy';
$lang['color_brown'] = 'Brzowy';
$lang['color_yellow'] = 'ty';
$lang['color_green'] = 'Zielony';
$lang['color_olive'] = 'Oliwkowy';
$lang['color_cyan'] = 'Bkitny';
$lang['color_blue'] = 'Niebieski';
$lang['color_dark_blue'] = 'Ciemnoniebieski';
$lang['color_indigo'] = 'Purpurowy';
$lang['color_violet'] = 'Fioletowy';
$lang['color_white'] = 'Biay';
$lang['color_black'] = 'Czarny';

$lang['Font_size'] = 'Rozmiar';
$lang['font_tiny'] = 'Minimalny';
$lang['font_small'] = 'May';
$lang['font_normal'] = 'Normalny';
$lang['font_large'] = 'Duy';
$lang['font_huge'] = 'Ogromny';

$lang['Close_Tags'] = 'Zamknij Tagi';
$lang['Styles_tip'] = 'Rada: Style mog by stosowane szybko do zaznaczonego tekstu';


//
// Private Messaging
//
$lang['Private_Messaging'] = 'Prywatne Wiadomoci';

$lang['Login_check_pm'] = 'Zaloguj&nbsp;si,&nbsp;by&nbsp;sprawdzi&nbsp;wiadomoci';
$lang['New_pms'] = 'Masz %d <span class=\'pm\'>*<b>nowe</b>*</span> wiadomoci';
$lang['New_pm'] = 'Masz %d <span class=\'pm\'>*<b>now</b>*</span> wiadomo';
$lang['No_new_pm'] = 'Nie&nbsp;masz&nbsp;wiadomoci';
$lang['Unread_pms'] = 'Masz %d nieprzeczytanych wiadomoci';
$lang['Unread_pm'] = 'Masz %d nieprzeczytan wiadomo';
$lang['No_unread_pm'] = 'Nie masz nieprzeczytanych wiadomoci';
$lang['You_new_pm'] = 'Nowa prywatna wiadomo czeka na Ciebie w Skrzynce';
$lang['You_new_pms'] = 'Nowe prywatne wiadomoci czekaj na Ciebie w Skrzynce';
$lang['You_no_new_pm'] = 'Nie ma dla Ciebie adnych nowych prywatnych wiadomoci';
$lang['Unread_message'] = 'Nowa wiadomo';
$lang['Read_message'] = 'Przeczytana wiadomo';

$lang['Read_pm'] = 'Odczytaj wiadomo';
$lang['Post_new_pm'] = 'Napisz wiadomo';
$lang['Post_reply_pm'] = 'Odpowiedz na post';
$lang['Post_quote_pm'] = 'Cytuj wiadomo';
$lang['Edit_pm'] = 'Zmie wiadomo';

$lang['Inbox'] = 'Skrzynka';
$lang['Outbox'] = 'Do Wysania';
$lang['Savebox'] = 'Zapisane';
$lang['Sentbox'] = 'Wysane';
$lang['Flag'] = 'Flaga';
$lang['Subject'] = 'Temat';
$lang['From'] = 'Od';
$lang['To'] = 'Do';
$lang['Date'] = 'Data';
$lang['Mark'] = 'Zaznacz';
$lang['Sent'] = 'Wysana';
$lang['Saved'] = 'Zapisana';
$lang['Delete_marked'] = 'Usu Zaznaczone';
$lang['Delete_all'] = 'Usu Wszystkie';
$lang['Save_marked'] = 'Zapisz Zaznaczone';
$lang['Save_message'] = 'Zapisz Wiadomo';
$lang['Delete_message'] = 'Usu Wiadomo';

$lang['Display_messages'] = 'Wywietl wiadomoci z ostatnich';
$lang['All_Messages'] = 'Wszystkie Wiadomoci';

$lang['No_messages_folder'] = 'Nie masz wiadomoci w tym folderze';

$lang['PM_disabled'] = 'Prywatne Wiadomoci zostay wyczone na tym forum';
$lang['Cannot_send_privmsg'] = 'Administrator zabroni Ci wysya prywatnych wiadomoci';
$lang['No_to_user'] = 'Musisz wpisa nazw uytkownika aby wysa t wiadomo';

$lang['Disable_HTML_pm'] = 'Wycz HTML w tej wiadomoci';
$lang['Disable_BBCode_pm'] = 'Wycz BBCode w tej wiadomoci';
$lang['Disable_Smilies_pm'] = 'Wycz Umieszki w tej wiadomoci';

$lang['Message_sent'] = 'Wiadomo zostaa wysana';

$lang['Click_return_inbox'] = 'Kliknij %sTutaj%s aby powrci do Skrzynki';
$lang['Click_return_index'] = 'Kliknij %sTutaj%s aby powrci do Strony Gwnej';

$lang['Send_a_new_message'] = 'Wylij now prywatn wiadomo';
$lang['Send_a_reply'] = 'Odpowiedz na prywatn wiadomo';
$lang['Edit_message'] = 'Zmie prywatn wiadomo';

$lang['Notification_subject'] = 'Nadesza nowa Prywatna Wiadomo';

$lang['Find_username'] = 'Znajd uytkownika';
$lang['Find'] = 'Znajd';
$lang['No_match'] = 'Nie znaleziono pasujcych';

$lang['No_post_id'] = 'Nie wybrano postw';
$lang['No_such_folder'] = 'Nie istnieje taki folder';

$lang['Mark_all'] = 'Zaznacz wszystkie';
$lang['Unmark_all'] = 'Odznacz wszystkie';

$lang['Confirm_delete_pm'] = 'Czy na pewno chcesz usun t wiadomo?';
$lang['Confirm_delete_pms'] = 'Czy na pewno chcesz usun te wiadomoci?';

$lang['Inbox_size'] = 'Wiadomoci w Skrzynce zajmuj %d%%';
$lang['Sentbox_size'] = 'Wysane wiadomoci zajmuj %d%%';
$lang['Savebox_size'] = 'Zapisane wiadomoci zajmuj %d%%';

$lang['Click_view_privmsg'] = 'Kliknij %sTutaj%s aby odwiedzi twoj Skrzynk';


//
// Profiles/Registration
//

$lang['Preferences'] = 'Preferencje';

$lang['Website'] = 'Strona WWW';
$lang['Location'] = 'Skd';
$lang['Email_address'] = 'Adres email';
$lang['Send_private_message'] = 'Wylij prywatn wiadomo';
$lang['Interests'] = 'Zainteresowania';
$lang['Poster_rank'] = 'Ranga';

$lang['Total_posts'] = 'Postw';
$lang['User_post_pct_stats'] = '%d%% z caoci';
$lang['User_post_day_stats'] = '%.2f postw dziennie';
$lang['Search_user_posts'] = 'Znajd wszystkie posty %s';

$lang['No_user_id_specified'] = 'Wybrany uytkownik nie istnieje';

$lang['Date_format'] = 'Format Daty';

$lang['Confirm_password'] = 'Potwierd Haso';

$lang['Avatar'] = 'Avatar';

$lang['No_user_specified'] = 'Nie okrelono adnego uytkownika';
$lang['Flood_email_limit'] = 'Nie moesz teraz wysa kolejnego email\'a. Sprbuj ponownie za jaki czas.';
$lang['Email_sent'] = 'Email zosta wysany';
$lang['Send_email'] = 'Wylij email';
$lang['Empty_subject_email'] = 'Musisz okreli temat dla email\'a';
$lang['Empty_message_email'] = 'Musisz wpisa wiadomo do wysania';

//
// Memberslist
//
$lang['Select_sort_method'] = 'Metoda sortowania';
$lang['Sort'] = 'Sortuj';
$lang['Sort_Top_Ten'] = '10 najaktywniejszych';
$lang['Sort_Joined'] = 'Data przyczenia';
$lang['Sort_Username'] = 'Nazwa uytkownika';
$lang['Sort_Ascending'] = 'Rosnco';
$lang['Sort_Descending'] = 'Malejco';

//
// Group control panel
//
$lang['Group_Control_Panel'] = 'Panel Kontrolny Grupy';
$lang['Group_member_details'] = 'Czonkostwo w Grupach';

$lang['Group_Information'] = 'Informacje o Grupie';
$lang['Group_name'] = 'Nazwa Grupy';
$lang['Group_description'] = 'Opis Grupy';
$lang['Group_membership'] = 'Twoje czonkostwo';
$lang['Group_Members'] = 'Czonkowie Grupy';
$lang['Group_Moderator'] = 'Moderator Grupy';
$lang['Pending_members'] = 'Czonkowie Oczekujcy';

$lang['Group_type'] = 'Typ grupy';
$lang['Group_open'] = 'Grupa otwarta';
$lang['Group_closed'] = 'Grupa zamknita';
$lang['Group_hidden'] = 'Grupa ukryta';

$lang['Memberships_pending'] = 'Oczekujesz na przyjcie';

$lang['No_groups_exist'] = 'adna Grupa nie Istnieje';
$lang['Group_not_exist'] = 'Taka grupa nie istnieje';

$lang['Join_group'] = 'Docz';
$lang['No_group_members'] = 'Ta grupa nie ma czonkw';
$lang['Group_hidden_members'] = 'Ta grupa jest ukryta, nie moesz zobaczy listy jej czonkw';
$lang['Group_joined'] = 'Zosta' .  (($he) ? 'e' : 'a') . ' doczony do tej grupy<br />Zostaniesz powiadomionu kiedy Twoje czonkostwo zostanie zaakceptowane przez moderatora';
$lang['Group_request'] = 'Proba o przyczenie do grupy %s';
$lang['Group_added'] = 'Zosta' .  (($he) ? 'e' : 'a') . ' dodany do grupy %s';
$lang['Already_member_group'] = 'Jeste ju czonkiem tej grupy';
$lang['User_is_member_group'] = 'Uytkownik jest ju czonkiem tej grupy';
$lang['Group_type_updated'] = 'Zaktualizowano typ grupy';

$lang['Could_not_anon_user'] = 'Anonimowy nie moe by czonkiem grupy';

$lang['Confirm_unsub'] = 'Czy na pewno chcesz opuci t grup?';
$lang['Confirm_unsub_pending'] = 'Twoje czonkostwo w tej grupie nie zostao jeszcze zaakceptowane, czy na pewno chcesz je zakoczy?';

$lang['Unsub_success'] = 'Przesta' .  (($he) ? 'e' : 'a') . ' by czonkiem tej grupy.';

$lang['Approve_selected'] = 'Zaakceptuj Wybrane';
$lang['Deny_selected'] = 'Odrzu Wybrane';
$lang['Remove_selected'] = 'Usu Wybrane';
$lang['Add_member'] = 'Dodaj Czonka';
$lang['Not_group_moderator'] = 'Nie jeste moderatorem tej grupy i nie moesz wykona tego dziaania.';

$lang['Login_to_join'] = 'Zaloguj si aby doczy do grupy lub zarzdza jej czonkostwem';
$lang['This_open_group'] = 'To jest grupa otwarta, kliknij aby poprosi o czonkostwo';
$lang['Member_this_group'] = 'Jeste czonkiem tej grupy';
$lang['Pending_this_group'] = 'Twoje czonkowstwo w tej grupie czeka na akceptacj';
$lang['Are_group_moderator'] = 'Jeste moderatorem tej grupy';
$lang['None'] = 'Brak';
$lang['Unsubscribe'] = 'Opu';
$lang['View_Information'] = 'Zobacz Informacje';


//
// Search
//
$lang['Search_query'] = 'Poszukiwane Zapytanie';
$lang['Search_options'] = 'Opcje Wyszukiwania';

$lang['Search_keywords'] = 'Szukaj Sw Kluczowych';
$lang['Search_keywords_explain'] = 'Moesz uywa <u>AND</u> aby okrela, ktre sowa musz znale si w wynikach, <u>OR</u> dla tych, ktre mog si tam znale i <u>NOT</u> dla tych, ktre nie mog wystpi. Znak * zastpuje dowolny cig znakw.<br />eby wyszuka wyraenie, wpisz je pomidzy <b>"</b>cudzysowiami<b>"</b><br />Nie bd znalezione znaki specialne, za wyjtkiem: <b>@ . - _</b>';
$lang['Search_author'] = 'Szukaj Autora';
$lang['Search_author_explain'] = 'Uyj * jako zamiennika dowolnego cigu znakw';

$lang['Search_for_any'] = 'Szukaj ktregokolwiek sowa lub wyraenia';
$lang['Search_for_all'] = 'Szukaj wszystkich sw';
$lang['Search_title_msg'] = 'Przeszukaj tytu, opis i tekst wiadomoci';
$lang['Search_msg_only'] = 'Przeszukaj tylko tekst wiadomoci';
$lang['Search_title_only'] = 'Przeszukaj tylko tytu wiadomoci';
$lang['Search_title_e_only'] = 'Przeszukaj tylko opis tematu';

$lang['Return_first'] = 'Poka pierwsze';
$lang['characters_posts'] = 'znakw z postu';

$lang['Search_previous'] = 'Przeszukaj ostanie';

$lang['Sort_by'] = 'Sortuj wedug';
$lang['Sort_Time'] = 'Czas wysania';
$lang['Sort_Topic_Title'] = 'Tytu tematu';

$lang['Display_results'] = 'Poka wyniki jako';
$lang['All_available'] = 'Wszystkie dostpne';
$lang['No_searchable_forums'] = 'Nie masz uprawnie do przeszukiwania ktegokolwiek forum na tej stronie';

$lang['No_search_match'] = 'Nie znaleziono tematw ani postw pasujcych do Twoich kryteriw';
$lang['Found_search_match'] = 'Znaleziono %d wynik';
$lang['Found_search_matches'] = 'Znalezionych wynikw: %d';

$lang['Close_window'] = 'Zamknij Okno';


//
// Auth related entries
//
// Note the %s will be replaced with one of the following \'user\' arrays
$lang['Sorry_auth_announce'] = 'Tylko %s mog pisa ogoszenia na tym forum.';
$lang['Sorry_auth_sticky'] = 'Tylko %s mog pisa tematy przyklejone na tym forum.';
$lang['Sorry_auth_read'] = 'Tylko %s mog czyta tematy na tym forum.';
$lang['Sorry_auth_delete'] = 'Tylko %s mog usuwa posty na tym forum.';
$lang['Sorry_auth_post'] = 'Tylko %s mog pisa nowe tematy na tym forum.'; 
$lang['Sorry_auth_reply'] = 'Tylko %s mog odpowiada w tematach na tym forum.';
$lang['Sorry_auth_edit'] = 'Tylko %s mog edytowa posty na tym forum.'; 
$lang['Sorry_auth_vote'] = 'Tylko %s mog gosowa w ankietach na tym forum.';

// These replace the %s in the above strings
$lang['Auth_Registered_Users'] = '<b>zarejestrowani uytkownicy</b>';
$lang['Auth_Users_granted_access'] = '<b>uytkownicy z uprawnieniami dostpu</b>';
$lang['Auth_Moderators'] = '<b>moderatorzy</b>';
$lang['Auth_Administrators'] = '<b>administratorzy</b>';

$lang['Not_Authorised'] = 'Nie posiadasz uprawnie';

$lang['You_been_banned'] = 'Zosta' .  (($he) ? 'e' : 'a') . ' wyrzucon' .  (($he) ? 'y' : 'a') . ' z tego forum<br />Skontaktuj si z webmasterem lub administratorem forum jeeli chcesz wyjani t sytuacj.';


//
// Viewonline
//
$lang['Reg_users_zero_online'] = 'Na Forum jest 0 Zarejestrowanych i ';
$lang['Reg_users_online'] = 'Na forum jest %d Zarejestrowanych i ';
$lang['Reg_user_online'] = 'Na forum jest %d Zarejestrowany uytkownik i ';
$lang['Hidden_users_zero_online'] = '0 Ukrytych uytkownikw';
$lang['Hidden_users_online'] = '%d Ukrytych uytkownikw';
$lang['Hidden_user_online'] = '%d Ukryty uytkownik';
$lang['Guest_users_zero_online'] = 'Na Forum jest 0 Goci';
$lang['Guest_users_online'] = 'Na Forum jest %d Goci';
$lang['Guest_user_online'] = 'Na Forum jest %d Go';
$lang['No_users_browsing'] = 'Obecnie nie ma adnych uytkownikw na tym forum';

$lang['Online_explain'] = '';

$lang['Forum_Location'] = 'Lokalizacja';
$lang['Last_updated'] = 'Na forum';

$lang['Forum_index'] = 'Strona Gwna';
$lang['Logging_on'] = 'Loguje si';
$lang['Posting_message'] = 'Pisze wiadomo';
$lang['Searching_forums'] = 'Przeszukuje fora';
$lang['Viewing_profile'] = 'Oglda profil';
$lang['Viewing_online'] = 'Przeglda list obecnych na forum';
$lang['Viewing_member_list'] = 'Oglda list uytkownikw';
$lang['Viewing_priv_msgs'] = 'Oglda Prywatne Wiadomoci';
$lang['Viewing_FAQ'] = 'Oglda FAQ';


//
// Moderator Control Panel
//

$lang['Select'] = 'Wybierz';
$lang['Move'] = 'Przenie';
$lang['Lock'] = 'Zablokuj';
$lang['Unlock'] = 'Odblokuj';
$lang['Topics_Moved'] = 'Wybrane tematy zostay przeniesione';

//
// Timezones ... for display on each page
//

$lang['datetime']['Sunday'] = 'Niedziela';
$lang['datetime']['Monday'] = 'Poniedziaek';
$lang['datetime']['Tuesday'] = 'Wtorek';
$lang['datetime']['Wednesday'] = 'roda';
$lang['datetime']['Thursday'] = 'Czwartek';
$lang['datetime']['Friday'] = 'Pitek';
$lang['datetime']['Saturday'] = 'Sobota';
$lang['datetime']['Sun'] = 'Nie';
$lang['datetime']['Mon'] = 'Pon';
$lang['datetime']['Tue'] = 'Wto';
$lang['datetime']['Wed'] = 'Sro';
$lang['datetime']['Thu'] = 'Czw';
$lang['datetime']['Fri'] = 'Pi';
$lang['datetime']['Sat'] = 'Sob';
$lang['datetime']['January'] = 'Stycze';
$lang['datetime']['February'] = 'Luty';
$lang['datetime']['March'] = 'Marzec';
$lang['datetime']['April'] = 'Kwiecie';
$lang['datetime']['May'] = 'Maj';
$lang['datetime']['June'] = 'Czerwiec';
$lang['datetime']['July'] = 'Lipiec';
$lang['datetime']['August'] = 'Sierpie';
$lang['datetime']['September'] = 'Wrzesie';
$lang['datetime']['October'] = 'Padziernik';
$lang['datetime']['November'] = 'Listopad';
$lang['datetime']['December'] = 'Grudzie';
$lang['datetime']['Jan'] = 'Sty';
$lang['datetime']['Feb'] = 'Lut';
$lang['datetime']['Mar'] = 'Mar';
$lang['datetime']['Apr'] = 'Kwi';
$lang['datetime']['May'] = 'Maj';
$lang['datetime']['Jun'] = 'Cze';
$lang['datetime']['Jul'] = 'Lip';
$lang['datetime']['Aug'] = 'Sie';
$lang['datetime']['Sep'] = 'Wrz';
$lang['datetime']['Oct'] = 'Pa';
$lang['datetime']['Nov'] = 'Lis';
$lang['datetime']['Dec'] = 'Gru';

//
// Errors (not related to a
// specific failure on a page)
//
$lang['Information'] = 'Informacja';
$lang['Critical_Information'] = 'Istotna Informacja';

$lang['General_Error'] = 'Bd Oglny';
$lang['Critical_Error'] = 'Bd Krytyczny';
$lang['An_error_occured'] = 'Wystpi Bd';
$lang['A_critical_error'] = 'Wystpi Krytyczny Bd';

//
// Modified addons
//

$lang['2_Days'] = '2 Dni';
$lang['3_Days'] = '3 Dni';
$lang['4_Days'] = '4 Dni';
$lang['5_Days'] = '5 Dni';
$lang['6_Days'] = '6 Dni';
$lang['left'] = 'z lewej';
$lang['center'] = 'na rodku';
$lang['right'] = 'z prawej';
$lang['registered_have'] = 'Mamy';
$lang['registered_users'] = 'zarejestrowanych uytkownikw';
$lang['users_write'] = 'Nasi uytkownicy napisali';
$lang['posts'] = 'postw';
$lang['topics'] = 'tematw';
$lang['Search_new_unread'] = 'Zobacz posty nieprzeczytane';
$lang['Search_new'] = 'Zobacz posty od ostatniej wizyty';
$lang['Quick_register'] = 'Szybka rejestracja';
$lang['visitors_txt'] = 'To forum odwiedzono ju';
$lang['visitors_txt2'] = 'razy';
$lang['Sticky_topic'] = 'Przyklej ten temat';
$lang['Announce_topic'] = 'Oznacz jako ogoszenie';
$lang['Normal_topic'] = 'Oznacz jako normalny';
$lang['Sticky'] = 'Przyklejony';
$lang['Announce'] = 'Ogoszenie';
$lang['Normalise'] = 'Normalny';
$lang['Mark_topic_unread'] = 'Oznacz temat jako nieczytany';
$lang['Mark_topic_read'] = 'Oznacz temat jako przeczytany';
$lang['Board_navigation'] = 'Menu';
$lang['Statistics'] = 'Statystyki';
$lang['Comments'] = 'Komentarze';
$lang['Read_Full'] = 'Czytaj cao';
$lang['View_comments'] = 'Zobacz komentarze';
$lang['Post_your_comment'] = 'Dodaj swj komentarz';
$lang['Welcome'] = 'Witamy';
$lang['Remember_me'] = 'Zapamitaj';
$lang['Poll'] = 'Ankieta';
$lang['Login_to_vote'] = 'Musisz si zalogowa eby odda gos';
$lang['Vote'] = 'Gosuj';
$lang['Who_is_Chatting'] = 'Kto jest na czacie';
$lang['bbcode_y_help'] = 'Wyrodkowanie: [center]tekst[/center] Rada: zaznacz tekst i kliknij';
$lang['bbcode_e_help'] = 'Zanikajcy tekst: [fade]text[/fade] Rada: zaznacz tekst i kliknij';
$lang['bbcode_k_help'] = 'Przewijany tekst: [scroll]tekst[/scroll] Rada: zaznacz tekst i kliknij';
$lang['bbcode_s2_help'] = 'Cie: [shadow=red]text[/shadow] Rada: zaznacz tekst i wybierz kolor';
$lang['bbcode_g_help'] = 'Ogie: [glow=red]text[/glow] Rada: zaznacz tekst i wybierz kolor';
$lang['bbcode_h_help'] = 'Ukryj: [hide]tekst[/hide] Rada: zaznacz tekst i kliknij';
$lang['Shadow_color'] = 'Cie';
$lang['Glow_color'] = 'Ogie';
$lang['write_link_text'] = 'Wpisz tekst ktry bdzie pokazywany jako nazwa linku';
$lang['write_address'] = 'Podaj adres';
$lang['img_address'] = 'Podaj adres do obrazka';
$lang['stream_address'] = 'Podaj adres pliku';
$lang['GG'] = 'Gadu-Gadu uytkownika :: %s';
$lang['STAT_GG'] = 'Status Gadu-Gadu uytkownika';
$lang['GG_wait'] = 'Wiadomo oczekuje w kolejce na odebranie.<br />Zostanie dostarczona gdy adresat wczy gadu-gadu<br /> lub adresat ma w tej chwili status <b>"niewidoczny"</b> bd "tylko dla znajomych".';
$lang['GG_full'] = 'Skrzynka odbiorcza adresata jest pena, wiadomo nie zostaa dostarczona.';
$lang['GG_send'] = 'Wiadomo zostaa dostarczona do adresata';
$lang['GG_not_send'] = 'Wiadomo nie zostaa dostarczona, sprbuj jeszcze raz (odwie strone).';
$lang['How_Many_Chatters'] = 'Na czacie jest <B>%d</B> uytkownikw';
$lang['Who_Are_Chatting'] = '<B>%s</B>';
$lang['Click_to_join_chat'] = 'Kliknij by wej na czat';
$lang['ChatBox'] = 'ChatRoom';
$lang['log_out_chat'] = 'Wylogowa' .  (($he) ? 'e' : 'a') . ' si z czata';
$lang['Login_to_join_chat'] = 'Zaloguj si by wej na czat';
$lang['Last_visit'] = 'Ostatnia wizyta';
$lang['Never'] = 'Nigdy';
$lang['Sort_Last_visit'] = 'Data ostatniej aktywnoci';
$lang['Page_loading_wait'] = 'adowanie strony... prosz czeka!';
$lang['Page_loading_stop'] = 'Jeli strona nie chce si zaadowa kliknij <span onclick="hideLoadingPage()" style="cursor: pointer">Tutaj<\/span>';
$lang['Quick_Reply'] = 'Szybka odpowied';
$lang['QuoteSelelected'] = 'Cytowanie selektywne';
$lang['QuoteSelelectedEmpty'] = 'Zaznacz najpierw tekst';
$lang['Quick_Reply_smilies'] = 'Wszystkie emotikony';
$lang['No_birthday_specify'] = 'Nie okrelono';
$lang['Age'] = 'Wiek';
$lang['Wrong_birthday_format'] = 'Data urodzenia nie mieci sie w dopuszczalnych granicach';
$lang['Birthday_greeting_today'] = '!!!! WSZYSTKIEGO NAJLEPSZEGO !!!!<br /><br /> Z okazji Twoich %s urodzin!<br /> yczymy Ci wszystkiego co najlepsze zarwno w yciu prywatnym, jak i tutaj w Internecie!<br /><br /> Uytkownicy i administratorzy forum';//%s is substituted with the users age
$lang['Birthday_greeting_prev'] = 'Skadamy Ci gratulacje z okazji %s urodzin.<br /><br /> Uytkownicy i administratorzy forum';//%s is substituted with the users age, and birthday 
$lang['Greeting_Messaging'] = 'Gratulacje!';
$lang['Birthday_today'] = 'Uytkownicy obchodzcy dzi urodziny:';
$lang['Birthday_week'] = 'Uytkownicy obchodzcy urodziny w cigu nastpnych %d dni:';
$lang['Nobirthday_week'] = 'Nikt nie ma urodzin przez nastpne %d dni';
$lang['Nobirthday_today'] = 'Nikt nie ma dzi urodzin.';
$lang['Year'] = 'Rok';
$lang['Month'] = 'Miesic';
$lang['Day'] = 'Dzie';
$lang['send_congratulations'] = 'z yczenia';
$lang['congratulations_send'] = 'yczenia dla uytkownika zostay wysane.';
$lang['congratulations_send_no'] = 'Temu uytkownikowi wysya' .  (($he) ? 'e' : 'a') . ' ju yczenia';
$lang['l_whoisonline'] = 'zobacz szczegowo';
$lang['new_topicsss'] = 'Nowych tematw:';
$lang['new_postsss'] = 'Nowych postw:';
$lang['unread_topicsss'] = 'Nieczytanych tematw';
$lang['unread_postsss'] = 'Nieczytanych postw';
$lang['Board_style'] = 'Styl forum';
$lang['l_level'] = 'Poziom';
$lang['Ignore_list'] = 'Lista ignorowanych';
$lang['Ignore_users'] = 'Ten uytkownik jest na twojej licie ignorowanych';
$lang['Ignore_add'] = 'Dodaj uytkownika do listy ignorowanych';
$lang['Ignore_delete'] = 'Usu uytkownika z listy ignorowanych';
$lang['Ignore_added'] = 'Uytkownik dodany do listy ignorowanych';
$lang['Ignore_deleted'] = 'Uytkownik usunity z listy ignorowanych';
$lang['Ignore_submit'] = 'Dodaj do listy ignorowanych';
$lang['Ignore_exists'] = 'Uytkownik jest ju na twojej licie ignorowanych';
$lang['Click_return_ignore'] = 'Kliknij %sTutaj%s eby przej do swojej listy ignorowanych';
$lang['Ignore_user_warn'] = 'Nie moesz si samemu ignorowa!';
$lang['Post_user_ignored'] = 'Uytkownik zosta dodany do twojej listy <b>ignorowanych</b>.';
$lang['Click_view_ignore'] = 'Kliknij %sTutaj%s eby zobaczy jego post.<br />';
$lang['Search_for'] = 'Szukaj w tym dziale';
$lang['cicq'] = 'ICQ';

$lang['Print_View'] = 'Wersja do druku';
$lang['Wrong_reg_key'] = 'Nieprawidowy kod!';
$lang['Validation'] = 'Uwierzytelnianie';
$lang['Msg_Icon_No_Icon'] = 'Bez';
$lang['messageicon'] = 'Ikona tematu';
$lang['postmsgicon'] = 'Ikona Tematu/Postu';
$lang['Topic_view_users'] = 'Kto przeglda temat';
$lang['Topic_time'] = 'Ostatnio ogldany';
$lang['Topic_count'] = 'Ogldany';
$lang['Topic_global_announcement'] = '<b>Wane ogoszenie:</b>';
$lang['Post_global_announcement'] = 'Wane ogoszenie';
$lang['Forum_not_exist'] = 'Nie znaleziono forum';
$lang['Enter_forum_password'] = 'Podaj haso dziau';
$lang['Incorrect_forum_password'] = 'Bdne haso';
$lang['Only_alpha_num_chars'] = 'Haso moe zawiera od 3 do 20 znakw z zakresu: (A-Z, a-z, 0-9)';
$lang['Album'] = 'Album';
$lang['Personal_Gallery_Of_User'] = 'Prywatna galeria %s';
$lang['l_whois'] = 'Whois';
$lang['Staff'] = 'Osoby odpowiedzialne za Forum';
$lang['Admin'] = 'Administrator';
$lang['Junior'] = 'Junior Admin';
$lang['Period'] = 'Na forum od <b>%d</b> dni';
$lang['Topic_bookmark'] = 'Dodaj temat do Ulubionych';
$lang['Day_users'] = 'Przez ostatnie %s godziny byli na forum:';
$lang['post_expire'] = 'Post wyganie:';
$lang['topic_expire'] = 'Wyganie';
$lang['expire_unlimit'] = 'Bez limitu';
$lang['l_expire_p'] = 'Czas wanoci postu/tematu';
$lang['Tree_width_topic'] = 'Skok drzewa tematu w pixelach';
$lang['l_expire_p_e'] = 'Wybierz, po ilu dniach post ma by automatycznie usunity. Jeli jest to nowy temat, zostanie usunity w caoci.';
$lang['expire_e'] = 'Ustaw, po ilu dniach temat ma by skasowany';
$lang['announce-stick'] = 'Przyklejanie tematw, oznaczanie jako ogoszenie lub jako globalne ogoszenie';
$lang['Merge_post'] = 'Scalaj posty w tym temacie';
$lang['Merge_posts'] = 'Scalaj wybrane posty';
$lang['post_expire_q'] = 'Wyganie za';
$lang['Password_not_complex'] = 'Haso ';
$lang['Downloads2'] = 'Download';
$lang['See_all'] = 'Zobacz wszystkie';
$lang['Ignore_mini'] = 'Ignoruj';
$lang['pm_mini'] = 'PM';
$lang['aim_mini'] = 'GG';
$lang['quote_mini'] = 'Cytuj';
$lang['edit_mini'] = 'Edytuj';
$lang['mini_reply'] = 'ODPOWIEDZ';
$lang['mini_newtopic'] = 'NOWY TEMAT';
$lang['mini_locked'] = 'ZAMKNITY';

$lang['too_long_word'] = 'Za dugie sowo';
$lang['login_to_shoutcast'] = 'Musisz si zalogowa eby wysa wiadomo lub wysyanie wiadomoci jest moliwe tylko dla Administratorw i Moderatorw';
$lang['sb_banned_send'] = 'Nie moesz wysya wiadomoci';

$lang['banned_forum'] = 'Administrator zablokowa Tobie moliwo pisania w tym forum';

$lang['edit_time_past'] = 'Nie moesz juz zmieni swojego postu. Post mona zmienia przez <b>%d</b> minut, Od momentu jego wysania';
$lang['This_closed_group'] = 'To jest zamknita grupa, %s';
$lang['This_hidden_group'] = 'To jest ukryta grupa, %s';
$lang['No_more'] = 'nowi uytkownicy nie bd przyjmowani';
$lang['No_add_allowed'] = 'automatyczne przyjmowanie uytkownikw nie jest dozwolone';
$lang['Join_auto'] = 'Moesz doczy do grupy jeli ilo twoich postw osignie wystarczajc warto';
$lang['Permissions'] = 'Zezwolenia';
$lang['quote_image'] = 'Obrazek';
$lang['Gender'] = 'Pe';
$lang['Male'] = 'Mczyzna';
$lang['Female'] = 'Kobieta';
$lang['No_gender_specify'] = 'Nie wiadomo :)';
$lang['not_gg_account'] = 'Brak numeru lub hasa bramki GG. Poinformuj administratora';
$lang['not_gg_addresat'] = 'Brak adresata';
$lang['wrong_gg_addresat'] = 'Zy format numeru adresata';
$lang['not_gg_msg'] = 'Brak treci wiadomoci';
$lang['gg_too_long'] = 'Dugo wiadomoci nie moe przekracza 1800 znakw';
$lang['topic_expire_mod'] = 'Wyganie za: ';
$lang['Forum_link_visited'] = 'Odwiedzono %d razy';
$lang['Redirect'] = 'Przeniesienie';
$lang['Never'] = 'Nigdy';
$lang['login_require'] = 'Dostp do tej czci forum wymaga zalogowania si.';
$lang['login_require_register'] = 'Jeeli nie jeste jeszcze zarejestrowany, kliknij %sTutaj%s eby przej do formularza rejestracyjnego.';

$lang['Click_return_custom_sending'] = 'Kliknij %sTutaj%s aby powrci do wysyania ycze';
$lang['choose_congratulations_format'] = 'Wybierz rodzaj ycze:';
$lang['congratulations_format_standart'] = 'Standardowe';
$lang['congratulations_format_standart_e'] = 'Wysyane od razu po klikniciu';
$lang['congratulations_format_custom'] = 'Wasne';
$lang['congratulations_format_custom_e'] = 'Moesz wpisa swoj tre';
$lang['generate_time'] = 'Strona wygenerowana w';
$lang['second'] = 'sekundy';
$lang['seconds'] = 'sekund';
$lang['Warnings'] = 'Ostrzeenia uytkownikw';
$lang['Warnings_viewtopic'] = 'Ostrzee';
$lang['warnings_banned_info'] = '<b>Masz zakaz wstpu na forum !</b><br /><br />Na swoim koncie masz ostrzee: <b>%s</b> o cznej wartoci: <b>%s</b>. Warto po ktrej uytkownik jest banowany to: <b>%s</b><br /><br />Ostatnie ostrzeenie dosta' .  (($he) ? 'e' : 'a') . ': <b>%s</b><br />Powd: <i>%s</i>';
$lang['disallow_posting'] = 'Przekroczy' .  (($he) ? 'e' : 'a') . ' limit ostrzee. Nie moesz pisa nowych postw ani tematw.<br /><br />Kliknij %sTutaj%s eby przej do strony ostrzee.';
$lang['warnings_lastwar_info'] = '<b>Dosta' .  (($he) ? 'e' : 'a') . ' ostrzeenie !</b><br /><br />Kliknij %sTutaj%s eby je zobaczy.<br /><br />Moe by konieczne ponowne zalogowanie.';
$lang['support'] = '<br /><br />Jeli nie potrafisz znale rozwizania tego problemu,<br />moesz sprbowa poszuka, lub zada pytanie na forum: <a href="http://www.przemo.org/phpBB2/" target="_blank">http://www.przemo.org/phpBB2/</a>';
$lang['poster_posts'] = 'Bra' .  (($he) ? 'e' : 'a') . ' udzia w tej dyskusji';
$lang['Sort_per_letter'] = 'Poka uytkownikw na liter';
$lang['Others'] = 'inna';
$lang['All'] = 'wszystkich';
$lang['ignore_topic_added'] = 'Wybrany temat/tematy zostay dodane do listy ignorowanych.<br />Nie bdziesz ich widzia' .  (($he) ? '' : 'a') . ' w licie tematw, oraz w licie tematw nieprzeczytanych (lub "od ostatniej wizyty" w zalenoci od ustawie forum)<br /><br />Kliknij %sTutaj%s eby zobaczy swoj liste ignorowanych tematw.<br /><br />Kliknij %sTutaj%s eby wrci na stron gwn.';
$lang['ignore_topic_unignored'] = 'Wybrany temat/tematy zostay usunite z twojej listy ignorowanych tematw.<br /><br />Kliknij %sTutaj%s eby zobaczy swoj liste ignorowanych tematw.<br /><br />Kliknij %sTutaj%s eby wrci na stron gwn.';
$lang['ignore_mark'] = 'Ignoruj zaznaczone tematy';
$lang['ignore_topics'] = 'Ignorowane tematy';
$lang['list_ignore'] = 'Lista tematw ktre ignorujesz';
$lang['list_ignore_e'] = 'Z listy automatycznie s kasowane tematy w ktrych nie pojawia si odpowied przez ostatnie 3 miesice';
$lang['ignore_list_empty'] = 'Nie ignorujesz adnego tematu.<br /><br />Kliknij %sTutaj%s eby wrci na stron gwn.';
$lang['ignore_topic'] = 'Ignoruj ten temat';
$lang['current_topic_ignore'] = 'Ignorujesz ten temat';
$lang['bbcode_ct_help'] = 'Kolor tematu, widoczny w widoku tematw';
$lang['topic_color'] = 'Kolor tematu';
$lang['15_min'] = '15 Minut';
$lang['30_min'] = '30 Minut';
$lang['1_Hour'] = '1 Godziny';
$lang['2_Hour'] = '2 Godzin';
$lang['6_Hour'] = '6 Godzin';
$lang['12_Hour'] = '12 Godzin';
$lang['icons'] = 'Wszystkie ikony postu/tematu';
$lang['your_posts'] = 'twoich postw';
$lang['replys_last_post'] = 'odpowiedzi od czasu twojego ostatniego postu';
$lang['unread_posts'] = 'postw nieprzeczytanych';
$lang['not_poster_post'] = 'Nie bra' .  (($he) ? 'e' : 'a') . ' udziau w tej dyskusji';
$lang['lang_q_quote_e'] = 'Po zaznaczeniu czci tekstu ktry chcesz cytowa i klikniciu tutaj, tekst wraz ze znacznikami BBCode pojawi si na dole w szybkiej odpowiedzi. Moesz uy kilkukrotnie.';
$lang['ignore_topic_submit_e'] = 'Dodaje zaznaczone wyej tematy do twojej listy ignorowanych tematw. Nie bd one wywietlane w widoku forum, oraz w wynikach wyszukiwania.';
$lang['data'] = 'Administrator forum narusza zasady korzystania ze skryptu forum dyskusyjnego <a href="http://www.przemo.org/phpBB2/">phpBB modified by Przemo</a><br />Forum zostao zablokowane !<br /><br />Wicej informacji mona uzyska piszc na e-mail: przemo@przemo.org';
$lang['more_topicicons'] = 'Masz do wyboru wiksz ilo ikon, po klikniciu w to pole, otworzy si okno z dodatkowymi ikonami.';
$lang['online_minutes'] = 'Jest na forum minut: <b>%s</b>';
$lang['online_hours'] = 'Jest na forum godzin: <b>%s</b>';
$lang['Viewing_topic'] = 'Czyta temat';
$lang['gg_header_info_pm'] = 'Otrzyma' .  (($he) ? 'e' : 'a') . ' now prywatn wiadomo od: %s';
$lang['gg_notify_topic'] = 'W obserwowanym przez Ciebie temacie: "%s" uytkownik: %s napisa odpowied';
$lang['l_notify_gg_privmsg'] = 'Link do twojej skrzynki: %s';
$lang['l_notify_gg_topic'] = 'eby zobaczy temat kliknij: %s';
$lang['generate_queries'] = 'Zapyta do SQL';
$lang['unread_post'] = 'Nieczytany post';
$lang['refresh'] = 'Odwie';
$lang['new_board_topic'] = 'Na forum %s uytkownik %s napisa nowy temat: %s';
$lang['new_board_post'] = 'Na forum %s uytkownik %s napisa odpowied w temacie: %s';
$lang['Search_post_time'] = 'Wywietl posty z ostatnich:</span><br /><span class="gensmall">Wywietla posty napisane w cigu ostatniego wybranego czasu. Mona wybra metod wywietlania: Posty i Tematy';
$lang['user_not_allowpm'] = 'Nie moesz wysa prywatnej wiadomoci do tego uytkownika. Uytkownik wyczy prywatne wiadomoci.';
$lang['open_all_new_window'] = 'Otwrz wszystkie w nowych oknach';

$lang['s_email_friend'] = 'Powiadom znajomego o tym temacie';
$lang['s_email_friend_f_name'] = 'Imi znajomego:';
$lang['s_email_friend_f_email'] = 'Email znajomego:';
$lang['s_email_friend_title'] = '%s zobacz temat na: %s';
$lang['s_email_friend_message'] = 'Przeczyta' .  (($he) ? 'e' : 'a') . 'm temat %s na %s i pomyla' .  (($he) ? 'e' : 'a') . 'm, e musisz go zobaczy! Naprawd warto! Tutaj jest link: %s';

$lang['mstr'] = 'Automatyczna naprawa tabeli w bazie SQL';
$lang['rrtf'] = "Tabela %s ulega uszkodzeniu, prba automatycznej naprawy nie powioda si:\n%s\n%s\nSprbuj naprawi tabel rcznie wykonujc zapytanie: REPAIR TABLE %s";
$lang['rrts'] = "Tabela %s ulega uszkodzeniu, prba automatycznej naprawy prawdopodobnie powioda si:\n%s\n Jeli nie, sprbuj wykonac zapytanie rcznie: REPAIR TABLE %s";
$lang['rrsum'] = 'Wystpi drobny problem techniczny, skrypt dokona prby naprawy i wysa powiadomienie do Administratora forum<br />Sprobuj odwiey stron';

$lang['Report_no_access'] = 'Nie masz moliwoci uywania tej opcji';
$lang['Report_disabled'] = 'Post tego uytkownika nie moe zosta zgoszony';
$lang['Report_post_already_reported'] = 'Ten post zosta ju zgoszony wczeniej';
$lang['Report_post_self'] = 'Nie moesz zgasza swoich postw';
$lang['Report_already_removed'] = 'Ten post zosta usunity';
$lang['Report_no_posts'] = 'Nie ma zgoszonych adnych postw';
$lang['Report_no_title'] = 'Brak tytuu';
$lang['Reporter'] = 'Zgaszajcy';
$lang['Report_posts'] = 'Zgoszone posty';
$lang['Report_popup_text'] = 'Nastpujce posty zostay zgoszone:';
$lang['Report_deleted'] = 'Zgoszenie usunite.';
$lang['Report_post_reported'] = 'Zgoszenie zostao wysane. Dzikujemy.';
$lang['Report_post'] = 'Zgo ten post do Moderatora i Administratora';
$lang['Report_del'] = 'Usu zgoszenie';
$lang['Report_no_popup'] = 'Otwrz popup o zgoszonych postach';
$lang['Report_no_mail'] = 'Powiadom na e-mail o zgoszonych postach';
$lang['Report_reload_window'] = 'Odwie okno';
$lang['Report_no_auth'] = 'Nie moesz zgosi postw, ta funkcja zostaa Ci odebrana, lub nie jestes zalogowany.';
$lang['Report_open_popup'] = 'Otwrz popup zgosze';
$lang['Report_list'] = 'Lista zgosze';
$lang['added'] = 'Dodano';
$lang['Voted_show'] = 'Gosowa: '; // it means :  users that voted  (the number of voters will follow)
$lang['Results_after'] = 'Wynik bdzie pokazany po zakoczeniu trwania ankiety';
$lang['Poll_expires'] = 'Zakoczenie ankiety za: ';
$lang['Minutes'] = 'Minut';
$lang['Max_vote'] = 'Maksimum "zaznacze"';
$lang['Max_vote_explain'] = '[ Wpisz 1 lub pozostaw puste dla jednego "zaznaczenia" ]';
$lang['Max_voting_1_explain'] = 'Wybierz tylko ';
$lang['Max_voting_2_explain'] = ' odpowiedzi';
$lang['Max_voting_3_explain'] = ' (wicej odpowiedzi bdzie ignorowane)';
$lang['Vhide'] = 'Ukryj';
$lang['Hide_vote'] = 'Wynik';
$lang['Tothide_vote'] = 'Sum gosw';
$lang['Hide_vote_explain'] = ' [ Ukrycie do czasu zakoczenia ankiety ]';
$lang['rname'] = 'Szybka rejestracja';

$lang['helped_confirm'] = 'Jeste ' .  (($he) ? 'autorem' : 'autork') . ' tego tematu, jeeli ta odpowied Ci pomoga, moesz doda jeden punkt "POMG" temu uytkownikowi<br /><br />Kliknij %sTUTAJ%s aby doda punkt, lub kliknij %sTUTAJ%s aby anulowa i powrci do tematu';
$lang['helped_delete_confirm'] = 'Jeste ' .  (($he) ? 'pewien' : 'pewna') . ' e chcesz usun punkt "POMG" dla tego postu ?<br /><br />Kliknij %sTUTAJ%s jeeli chcesz usun punkt, lub %sTUTAJ%s aby powrci do tematu';
$lang['helped_added'] = 'Punkt zosta dodany<br /><br />Kliknij %sTUTAJ%s aby powrcic do tematu.';
$lang['He_helped'] = 'Jeeli ten post pomg Ci, kliknij aby doda punkt temu uytkownikowi';
$lang['He_helped_delete'] = 'Usu punkt \'pomg\' dla tego postu';
$lang['help_1'] = ' raz';
$lang['help_more'] = ' razy';
$lang['postrow_help'] = '<b>Pomg:</b> ';
$lang['postrow_help_she'] = '<b>Pomoga:</b> ';
$lang['helped'] = 'Pomg';
$lang['Joined_she'] = 'Doczya';
$lang['that_same_msg'] = 'Nie moesz wysa dwch takich samych wiadomoci !';
$lang['Total_vots'] = 'Gosw';
$lang['Seeker'] = 'Szukaj uytkownikw';
$lang['No_split_post'] = 'Nie cz tego postu';
$lang['too_many_voting'] = 'W tej sondzie maksymaln wartoci oddanych gosw jest: <b>%s</b>, Ty zaznaczy' .  (($he) ? 'e' : 'a') . ' <b> %s</b>.<br />Gos nie zosta oddany, wr i zagosuj jeszcze raz.';
$lang['failed_sending_email'] = 'Bad wysylania email\'a<br />Moe zosta podany zy adres e-mail, w przeciwnym razie Administrator pownien sprawdzic przyczyne lub wylaczyc wysylanie email\'i przez forum.';

$lang['notify_message'] = 'Twj %s napisany przez Ciebie na: %s, zosta usunity przez Administratora lub Moderatora%s';
$lang['your_post'] = "Twj post:";
$lang['Reason'] = 'Powd';
$lang['subject_notify_delete'] = 'Twj %s zostal usuniety';
$lang['topic_link'] = "\n\rLink do tematu: %s";
$lang['forum_service'] = 'Obsuga forum';
$lang['confirm_report_post'] = 'Czy na pewno chcesz zgosi ten post do Moderatora i Administratora?';
$lang['Accept'] = 'Zaakceptuj';
$lang['Reject'] = 'Odrzu';
$lang['Accept-reject'] = 'Zaakceptuj/Odrzu wybrane';
$lang['Post_no_approved'] = 'Oczekuje na akceptacj';
$lang['Loser_protect'] = 'UWAGA! Prbujesz odpowiedziec w temacie na <b>%s</b> stronie tematu, temat zawiera stron <b>%s</b>.<br />Przeczytaj cay temat aby w nim odpowiedzie!<br /><br />Kliknij %sTutaj%s aby przej do nastpnej strony tematu.<br />Kliknij %sTutaj%s jeli jeste przekonanan' .  (($he) ? 'y' : 'a') . ', e chcesz odpowiedzie nie czytajc caego tematu.';
$lang['User_deleted'] = 'Usunity';
$lang['Account_delete'] = 'Usunicie konta na %s';
$lang['User_report_post'] = 'Uytkownik zgosi post';
$lang['Birthday_subject'] = 'Wszystkiego najlepszego z okazji twoich %s urodzin!!!';
$lang['Subject_e'] = 'Opis tematu';
$lang['Subject_e_info'] = 'nieobowizkowy';
$lang['show_ignore_topics'] = 'Poka ignorowane tematy';
$lang['footer'] = 'Stopka forum zostaa zmodyfikowana, forum nie bdzie dziaa prawidowo!<br />Ustaw prawidowo stopk w pliku overall_footer.tpl, musi by ona widoczna w przegladarce, nie moe zawiera "sztuczek" maskujacych.<br /><br />Wzr: <b>Powered by &lt;a href=&quot;http://www.phpbb.com&quot; target=&quot;_blank&quot; class=&quot;copyright&quot;&gt;phpBB&lt;/a&gt; modified by &lt;a href=&quot;http://www.przemo.org/phpBB2/&quot; class=&quot;copyright&quot; target=&quot;_blank&quot;&gt;Przemo&lt;/a&gt; &amp;copy; 2003 phpBB Group</b>';
$lang['db_backup_done'] = 'W tym momencie forum rozpoczo tworzenie kopii zapasowej bazy danych.<br />Prosz wrci na forum za minut.';
$lang['Freak_undo'] = 'Ctrl+Z aby cofn';
$lang['Today'] = 'Dzisiaj';
$lang['Yesterday'] = 'Wczoraj';
$lang['TA_Locked'] = 'Zamknity';
$lang['TA_Unocked'] = 'Otwarty';
$lang['TA_Moved'] = 'Przesunity';
$lang['TA_Expired'] = 'Wygaszony';
$lang['TA_Who'] = 'przez';
$lang['TA_Delete'] = 'Usu t informacj';
$lang['Comment_post'] = 'Dopisz komentarz do postu';
$lang['Comment_added'] = 'Komentarz dodany przez: %s';
$lang['Topic_important'] = 'Warto merytoryczna';
$lang['First_post'] = 'Pierwszy post';
$lang['Post_history'] = 'Historia edycji postu';
$lang['Custom_Rank'] = 'Tytu uytkownika';
$lang['Your_topic_moved'] = 'Twj temat na %s zosta przesunity';
$lang['Your_topic_moved_message'] = 'Napisany przez Ciebie temat: "%s" w forum: "%s" zosta przesunity do forum: "%s" Link do tematu: %s %s';
$lang['Important_topics'] = 'Wane tematy';
$lang['View_next_unread_posts'] = 'Zobacz kolejne nieczytane posty';
$lang['Go'] = 'Id';
$lang['adv_person'] = 'Zaproszone osoby';
$lang['adv_person_link'] = 'Aby zaprosi znajomego na to forum, skopiuj ten link: %s';
$lang['Invalid_session'] = 'Sesja poczenia wygasa lub numer ID sesji jest nieprawidowy.<br />Sprbuj ponownie.';
$lang['Not_admin'] = 'Nie posiadasz uprawnie administratora.';
$lang['Posting_disabled'] = 'Pisanie postw i tematw zostao wyczone.';
$lang['Registering_disabled'] = 'Rejestracja zostaa wyczona.';
$lang['Pruning_unread_posts'] = 'Twoje konto przekroczyo maksymaln ilo nieprzeczytanych postw: <b>%s</b> Zostay usunite informacje o nieczytanych postach z wyjtkiem postw napisanych przez ostatnie: <b>%s</b> dni<br />Ilo usunitych nieczytanych postw: <b>%s</b><br /><br />Aby nie otrzymywa tego komunikatu, przeczytaj oznaczone tematy, lub oznacz wszystkie jako przeczytane.<br />W kadej chwili moesz skorzysta z wyszukiwarki postw aby odszuka posty napisane w cigu ostatniego wybranego czasu.';
//
// That's all Folks!
// -------------------------------------------------

?>