<?php

/***************************************************************************
 *                      lang_admin.php [Polish]
 *                      -------------------
 * begin                : Sat Dec 16 2000
 * copyright            : (C) 2001 The phpBB Group
 * e-mail               : support@phpbb.com
 *
 * modification         : (C) 2005 Przemo http://www.przemo.org
 * date modification    : ver. 1.12.4 2005/11/10 19:34
 *
 ****************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

//
// Translation by Mike Paluchowski and Radek Kmiecicki
// http://www.phpbb.pl/
//

//
// Modules, this replaces the keys used
// in the modules[][] arrays in each module file
//

// Check for user gender
$he = ($userdata['user_gender'] != 2) ? true : false;

$lang['Groups'] = 'Grupy';
$lang['Styles'] = 'Style';
$lang['General'] = 'Oglne';
$lang['Users'] = 'Uytkownicy';
$lang['Forums'] = 'Fora';

$lang['Configuration'] = 'Konfiguracja';
$lang['Manage'] = 'Zarzdzaj';
$lang['Disallow'] = 'Zabro nazwy';
$lang['Prune'] = 'Czyszczenie';
$lang['Mass_Email'] = 'Mas. Korespondencja';
$lang['Ranks'] = 'Rangi';
$lang['Smilies'] = 'Umieszki';
$lang['Ban_Management'] = 'Banlista';
$lang['Word_Censor'] = 'Cenzura Sw';
$lang['Export'] = 'Eksport';
$lang['Create_new'] = 'Utwrz';
$lang['Add_new'] = 'Dodaj';
$lang['Backup_DB'] = 'Kopia Zapasowa';
$lang['Restore_DB'] = 'Odtwarzanie';

//
// Index
//

$lang['Admin'] = 'Administracja';
$lang['Welcome_phpBB'] = 'Witamy w phpBB';
$lang['Admin_intro'] = 'Dzikujemy, e wybra' .  (($he) ? 'e' : 'a') . ' phpBB by Przemo do obsugi Twojego forum. Ten ekran przedstawia krtki przegld rnorodnych danych statystycznych, dotyczcych forum. Moesz wrci do tej strony klikajc odnonik <u>Indeks Administracji</u> na lewym panelu. Aby powrci do strony gwnej forum kliknij <u>Str. Gwna Forum</u> lewym panelu. Inne odnoniki po lewej stronie ekranu daj dostp do narzdzi kontrolujcych kady aspekt zachowania forum. Kade z nich zawiera osobne instrukcje uycia.';
$lang['Main_index'] = 'Str. Gwna Forum';
$lang['Forum_stats'] = 'Statystyki Forum';
$lang['Admin_Index'] = 'Indeks Administracji';
$lang['Preview_forum'] = 'Podgld Forum';

$lang['Click_return_admin_index'] = 'Kliknij %sTutaj%s aby powrci do Indeksu Administracji';

$lang['Statistic'] = 'Statystyki';
$lang['Value'] = 'Warto';
$lang['Number_posts'] = 'Liczba postw';
$lang['Posts_per_day'] = 'Postw dziennie';
$lang['Number_topics'] = 'Liczba tematw';
$lang['Topics_per_day'] = 'Tematw dziennie';
$lang['Number_users'] = 'Liczba uytkownikw';
$lang['Users_per_day'] = 'Uytkownikw dziennie';
$lang['Board_started'] = 'Start Forum';
$lang['Avatar_dir_size'] = 'Uycie dysku';
$lang['Database_size'] = 'Baza Danych';
$lang['Gzip_compression'] = 'Kompresja Gzip';
$lang['Not_available'] = 'Niedostpne';


//
// DB Utils
//
$lang['Database_Utilities'] = 'Narzdzia Bazy Danych';
$lang['Restore'] = 'Przywracanie';
$lang['Backup'] = 'Kopia Zapasowa';
$lang['Backup_explain'] = 'W tym miejscu moesz wczy automatyczne tworzenie kopii zapasowej bazy danych, ktra bdzie tworzona co 24 godziny (podczas tworzenia kopii, forum jest wyczone)<br />Masz moliwo wyboru ile kopii zapasowych ma by przechowywane na serwerze. Bd one przetrzymywane w katalogu /db/db_backup/ katalog <b>db_backup</b> powinien mie prawa do zapisu ( chmod 777 ).<br />W tym miejscu masz te moliwo wykonania kopii zapasowej "na danie" po klikniciu na link.<br />Plik kopii zapasowej ma nazw np. db_backup_phpbb_psmdowhx_date-30-05-2005.sql.gz znaki psmdowhx s losowe a wic nie ma moliwoci aby plik dosta sie w niepowoane rce. Katalogu /db_backup/ nie mona "wylistowa" gdy znajduje si tam plik index.html.<br />Masz moliwo ustawienia aby kopia nie obejmowaa danych z tabel: search i read_history. Tabele search mona odbudowa narzdziem do odbudowywania search w panelu admina. Tabele search i read_history zamuj najwicej miejsca w bazie danych, tabeli read_history nie mona przywrci tak jak tabel search.<br />Na celeronie 1,4 256 ram baza danych o wielkoci 80Mb jest kopiowana w okoo 40 sekund, bez tabel search i read_history, rozpakowany plik zajmuje 42Mb. Przy duszym czasie tworzenia kopii mog wystpi nieprzewidziane problemy.<br />Jeeli masz dostp do Cpanel\'u lub innego narzdzia administracyjnego, sprawd, czy nie tworzy on automatycznych kopii zapasowych bazy SQL, jeli tworzy nie musisz wcza automatycznego tworzenia przez forum.';
$lang['db_backup_enable'] = 'Wcz automatyczne tworzenie kopii';
$lang['db_backup_copies'] = 'Ilo przetrzymywanych kopii';
$lang['db_backup_tables_search'] = 'Kopiuj zawarto tabel search';
$lang['db_backup_tables_rh'] = 'Kopiuj zawarto tabeli read_history';
$lang['db_backup_link'] = 'Wykonaj kopi teraz';
$lang['db_backup_done'] = 'Kopia zostaa wykonana.';
$lang['db_backup_last'] = 'Ostatnia kopia: ';

//
// Auth pages
//
$lang['Select_a_User'] = 'Wybierz Uytkownika';
$lang['Select_a_Group'] = 'Wybierz Grup';
$lang['Select_a_Forum'] = 'Wybierz Forum';
$lang['Auth_Control_User'] = 'Kontrola Zezwole Uytkownikw';
$lang['Auth_Control_Group'] = 'Kontrola Zezwole Grup';
$lang['Auth_Control_Forum'] = 'Kontrola Zezwole For';
$lang['Look_up_User'] = 'Wybierz Uytkownika';
$lang['Look_up_Group'] = 'Wybierz Grupy';
$lang['Look_up_Forum'] = 'Wybierz Forum';

$lang['Group_auth_explain'] = 'Tutaj moesz zmienia zezwolenia i status moderatora przydzielony kadej grupie uytkownikw. Nie zapomnij zmieniajc ustawienia, e indywidualne uprawnienia mog nadal zezwala uytkownikowi na dostp do for itp.';
$lang['User_auth_explain'] = 'Tutaj moesz zmienia zezwolenia i status moderatora dla kadego uytkownika. Nie zapomnij zmieniajc ustawienia, e uprawnienia grupowe mog nadal zezwala uytkownikowi na dostp do for itp.';
$lang['Forum_auth_explain'] = 'Tutaj moesz zmieni poziomy autoryzacji dla kadego forum. Masz do dyspozycji metod prost i zaawansowan, z ktrych druga oferuje wiksze moliwoci kontroli ustawie. Pamitaj, e zmiana ustawie dotyczcych for zadecyduje o tym, co uytkownicy bd mogli na nich robi.';

$lang['Simple_mode'] = 'Tryb Prosty';
$lang['Advanced_mode'] = 'Tryb Zaawansowany';
$lang['Moderator_status'] = 'Status Moderatora';

$lang['Allowed_Access'] = 'Dostp Zezwolony';
$lang['Disallowed_Access'] = 'Dostp Zabroniony';
$lang['Is_Moderator'] = 'Moderator';
$lang['Not_auth_Moderator'] = 'Nie Moderator';

$lang['Public'] = 'Publiczne';
$lang['Private'] = 'Prywatne';
$lang['Registered'] = 'Zarejestrowani';
$lang['Hidden'] = 'Ukryte';

// These are displayed in the drop down boxes for advanced
// mode forum auth, try and keep them short!
$lang['Forum_ALL'] = 'WSZYSCY';
$lang['Forum_REG'] = 'ZAREJESTR.';
$lang['Forum_PRIVATE'] = 'PRYWATNE';
$lang['Forum_MOD'] = 'MODERAT.';
$lang['Forum_ADMIN'] = 'ADMIN';

$lang['View'] = 'Widoczny';
$lang['Read'] = 'Czytanie';
$lang['Post'] = 'Pisanie';
$lang['Reply'] = 'Odpowiedzi';
$lang['Edit'] = 'Edycja';
$lang['Sticky'] = 'Przyklejone';
$lang['Announce'] = 'Ogoszenia';
$lang['Vote'] = 'Gosowanie';
$lang['Pollcreate'] = 'Tworzenie ankiet';

$lang['Simple_Permission'] = 'Proste Zezwolenia';

$lang['User_Level'] = 'Poziom uytkownika';
$lang['Auth_Admin'] = 'Administrator';
$lang['Group_memberships'] = 'Czonkostwo w grupach (Wszystkich: %d )';
$lang['Usergroup_members'] = 'Tak grupa ma nastpujcyh czonkw (Wszystkich: %d )';

$lang['Forum_auth_updated'] = 'Zezwolenia For zostay zaktualizowane';
$lang['Auth_updated'] = 'Zezwolenia zostay zmienione';
$lang['Click_return_userauth'] = 'Kliknij %sTutaj%s aby powrci do Zezwole Uytkownikw';
$lang['Click_return_groupauth'] = 'Kliknij %sTutaj%s aby powrci do Zezwole Grup';
$lang['Click_return_forumauth'] = 'Kliknij %sTutaj%s aby powrci do Zezwole For';


//
// Banning
//
$lang['Ban_explain'] = 'Tutaj moesz kontrolowa banlist uytkownikw. Uzyskasz to przez banowanie danego uytkownika, zakresu numerw IP lub hostw. Dziki tym metodom uytkownik nie dostanie si nawet na stron gwn. Aby zapobiec rejestracji pod innymi nazwami moesz take zbanowa konkretny adres e-mail.';
$lang['Select_username'] = 'Wybierz Nazw Uytkownika';
$lang['Ban_IP'] = 'Zbanuj jeden lub wicej adresw IP lub hostw';
$lang['IP_hostname'] = 'Adresy IP lub hosty';
$lang['Ban_IP_explain'] = 'Aby poda kilka adresw IP lub hostw oddziel je przecinkami. Kiedy podajesz adres IP znak <b>*</b> zastpuje dowolny cig cyfr. Aby okreli zakres tylko kilku adresw IP oddziel pocztkowy i kocowy mylnikiem (-) Nie stosuj bardzo duych zakresw IP, na przykad zakres 20-80 doda do bazy a 60 wpisw. Jeeli podajesz host, moesz uy znaku <b>*</b> ktry zastpi dowolny cig znakw, oraz znaku <b>?</b> ktry zastpuje dowolny jeden znak - przykdy: IP: <b>80.53.12.*</b> lub host: <b>*.neoplus.adsl.tpnet.pl</b> lub host: <b>host2?.firma.pl</b>';

$lang['Ban_email'] = 'Zbanuj jeden lub wicej adresw e-mail';
$lang['Ban_email_explain'] = 'Aby poda wicej ni jeden adres e-mail, oddziel je przecinkami. Znakiem zamiennym jest *, np. *@hotmail.com.';

$lang['Ban_update_sucessful'] = 'Banlista zostaa zaktualizowana';
$lang['Click_return_banadmin'] = 'Kliknij %sTutaj%s aby powrci do Kontroli banlisty';


//
// Configuration
//
$lang['General_Config'] = 'Ustawienia Gwne';
$lang['Click_return_config'] = 'Kliknij %sTutaj%s aby powrci do Ustawie Gwnych';

$lang['Server_name'] = 'Nazwa Domeny';
$lang['Script_path'] = 'cieka skryptu';
$lang['Server_port'] = 'Port Serwera';
$lang['Acct_activation'] = 'Wcz aktywacj kont';
$lang['Acc_Admin'] = 'Admin';

$lang['Allow_BBCode'] = 'Zezwl na BBCode';
$lang['Allow_smilies'] = 'Zezwl na Umieszki';
$lang['Admin_email'] = 'Adres E-mail Administratora';

//
// Forum Management
//

$lang['Forum_admin'] = 'Administracja Forum';
$lang['Forum_admin_explain'] = 'W tym miejscu moesz dodawa, usuwa, modyfikowa, zmienia kolejno i ponownie synchronizowa kategorie i fora.<br />Pamitaj e aby utworzy drzewo, czyli "forum w forum" musisz najpierw utworzy kategori w jakim istniejcym forum i dopiero pozniej w tej kategorii utworzy forum.<br />Moesz rwniez przesuwa istniejce fora do kategorii utworzonej w wybranym forum.';
$lang['Edit_forum'] = 'Edytuj forum';
$lang['Create_forum'] = 'Nowe Forum';
$lang['Create_category'] = 'Nowa Kategoria';
$lang['Config_updated'] = 'Konfiguracja Forum Zostaa Zaktualizowana';
$lang['Move_up'] = 'W gr';
$lang['Move_down'] = 'W d';
$lang['Resync'] = 'Synch.';
$lang['No_mode'] = 'Nie okrelono trybu';
$lang['Forum_edit_delete_explain'] = 'Poniszy formularz pozwoli zmieni wszystkie podstawowe opcje forum. Aby zmieni szczegowe ustawienia Uytkownikw i For skorzystaj z odnonikw po lewej.';

$lang['Move_contents'] = 'Przenie ca zawarto';
$lang['Forum_delete'] = 'Usu Forum';
$lang['Forum_delete_explain'] = 'Poniszy formularz pozwoli na usunicie forum (lub dziaw) i zdecydowanie co zrobi z tematami (lub forami), ktre byy w nim zawarte.';

$lang['Forum_settings'] = 'Generalne Ustawienia Forum';
$lang['Forum_name'] = 'Nazwa Forum';
$lang['Forum_desc'] = 'Opis';
$lang['Forum_status'] = 'Status Forum';
$lang['Forum_pruning'] = 'Automatyczne Czyszczenie';

$lang['prune_freq'] = 'Sprawd wiek tematu co';
$lang['prune_days'] = 'Usu tematy, w ktrych nie pisano nic przez';
$lang['Set_prune_data'] = 'Wczy' .  (($he) ? 'e' : 'a') . ' automatyczne czyszczenie dla tego forum ale nie okresli' .  (($he) ? 'e' : 'a') . ' jego parametrw. Wr i wpisz wszystkie dane.';

$lang['Move_and_Delete'] = 'Przenie i Usu';

$lang['Delete_all_posts'] = 'Usu wszystkie posty';
$lang['Edit_Category'] = 'Edytuj Kategori';
$lang['Edit_Category_explain'] = 'Uyj tego formularza do zmiany nazwy kategorii.';

$lang['Forums_updated'] = 'Dane dotyczce For i Kategorii zostay zaktualizowane';

$lang['Must_delete_forums'] = 'Musisz usun wszystkie fora przed usuniciem tej kategorii';

$lang['Click_return_forumadmin'] = 'Kliknij %sTutaj%s aby powrci do Administracji Forum';


//
// Smiley Management
//
$lang['smiley_title'] = 'Edycja Umieszkw';
$lang['smile_desc'] = 'Na tej stronie moesz dodawa, usuwa i zmienia ikony emocji lub umieszki, ktre uytkownicy mog uywa w swoich postach i prywatnych wiadomociach.';

$lang['smiley_config'] = 'Dodaj Umieszki';
$lang['smiley_code'] = 'Kod Umieszku';
$lang['smiley_url'] = 'Plik Obrazka Umieszku';
$lang['smile_add'] = 'Nowy Umieszek';
$lang['Smile'] = 'Umiech';

$lang['Select_pak'] = 'Wybierz Plik Paczki (.pak)';
$lang['replace_existing'] = 'Zamie Istniejcy Umiech';
$lang['keep_existing'] = 'Zachowaj Istniejcy Umiech';
$lang['smiley_import_inst'] = 'Powin' .  (($he) ? 'iene' : 'na') . ' rozpakowa paczk umieszkw i wysa pliki do odpowiedniego katalogu Umieszkw. Potem ustaw odpowiednio poniszy formularz i importuj paczk.';
$lang['smiley_import'] = 'Import Paczki Umieszkw';
$lang['choose_smile_pak'] = 'Wybierz Plik .pak Paczki Umieszkw';
$lang['import'] = 'Importuj Umieszki';
$lang['smile_conflicts'] = 'Co zrobi w przypadku konfliktw';
$lang['del_existing_smileys'] = 'Usu istniejce umieczki przed importem';
$lang['import_smile_pack'] = 'Importuj Paczk';
$lang['export_smile_pack'] = 'Utwrz Paczk';
$lang['export_smiles'] = 'Aby utworzy paczk umieszkw z obecnie zainstalowanych kliknij %sTutaj%s aby cign plik .pak umieszkw. Nazwij go odpowiednio zachowujc rozszerzenie .pak. Potem spakuj ten plik razem z obrazkami umieszkw w archiwum zip.';

$lang['smiley_add_success'] = 'Umieszek zosta dodany';
$lang['smiley_edit_success'] = 'Umieszek zosta zaktualizowany';
$lang['smiley_import_success'] = 'Paczka Umieszkw zostaa zaimportowana!';
$lang['smiley_del_success'] = 'Umieszek zosta usunity';
$lang['Click_return_smileadmin'] = 'Kliknij %sTutaj%s aby powrci do Administracji Umieszkami';


//
// User Management
//
$lang['User_admin'] = 'Administracja Uytkownikami';
$lang['User_admin_explain'] = 'Tutaj moesz zmieni informacje o uytkowniku i ustawione przez niego opcje. Aby zmieni jego prawa dostpu skorzystaj z systemu zmiany zezwole.';

$lang['Look_up_user'] = 'Poka uytkownika';

$lang['Admin_user_fail'] = 'Nie mona byo zaktualizowa profilu uytkownika.';
$lang['Admin_user_updated'] = 'Profil uytkownika zosta zaktualizowany.';
$lang['Click_return_useradmin'] = 'Kliknij %sTutaj%s aby powrci do Administracji Uytkownikami';

$lang['User_delete'] = 'Usu tego uytkownika';
$lang['User_delete_explain'] = 'Zaznacz aby usun uytkownika, nie mona tego cofn !';
$lang['User_deleted'] = 'Uytkownik zosta usunity.';

$lang['User_status'] = 'Uytkownik jest aktywny';
$lang['User_allowpm'] = 'Moe wysya Prywatne Wiadomoci';
$lang['User_allowavatar'] = 'Moe pokazywa Avatar';

$lang['Admin_avatar_explain'] = 'Tutaj moesz zobaczy i usun obecny Avatar uytkownika.';

$lang['User_special'] = 'Specjalne pola administratora';
$lang['User_special_explain'] = 'Tych pl nie mog zmienia sami uytkownicy. Moesz tutaj zmodyfikowa ich status i inne opcje dotyczce ich moliwoci dziaania.';


//
// Group Management
//
$lang['Group_administration'] = 'Administracja Grupami';
$lang['Group_admin_explain'] = 'Z tego panelu moesz administrowa wszystkimi grupami uytkownikw; moesz je usuwa, tworzy i zmienia ustawienia. Moesz wybiera moderatorw, zmienia na otwarte lub zamknite i modyfikowa nazw oraz opis.';
$lang['Updated_group'] = 'Grupa zostaa zaktualizowana';
$lang['Added_new_group'] = 'Nowa grupa zostaa utworzona';
$lang['Deleted_group'] = 'Grupa zostaa usunita';
$lang['New_group'] = 'Utwrz now grup';
$lang['Edit_group'] = 'Edytuj grup';
$lang['group_name'] = 'Nazwa Grupy';
$lang['group_description'] = 'Opis Grupy';
$lang['group_moderator'] = 'Moderator Grupy';
$lang['group_status'] = 'Status Grupy';
$lang['group_open'] = 'Otwarta';
$lang['group_closed'] = 'Zamknita';
$lang['group_hidden'] = 'Ukryta';
$lang['group_delete'] = 'Usu Grup';
$lang['group_delete_check'] = 'Usu t grup';
$lang['No_group_name'] = 'Musisz wpisa nazw dla tej grupy';
$lang['No_group_moderator'] = 'Musisz poda moderatora tej grupy';
$lang['delete_group_moderator'] = 'Usun poprzedniego moderatora grupy?';
$lang['delete_moderator_explain'] = 'Jeeli zmieniasz moderatora zaznacz to pole aby usun starego moderatora. Jeeli tego nie zrobisz stanie si on zwykym czonkiem grupy.';
$lang['Click_return_groupsadmin'] = 'Kliknij %sTutaj%s aby powrci do Administracji Grupami.';
$lang['Select_group'] = 'Wybierz grup';
$lang['Look_up_group'] = 'Poka grup';


//
// Prune Administration
//
$lang['Forum_Prune'] = 'Czyszczenie Forum';
$lang['Forum_Prune_explain'] = 'Usunite zostan tematy, w ktrych nie napisano nic nowego przez okrelon liczb dni. Jeeli nie wpiszesz adnej liczby usunite zostan wszystkie tematy. Nietknite pozostan tematy z aktywnymi ankietami oraz ogoszenia. Bdziesz musia usun je rcznie.';
$lang['Do_Prune'] = 'Wykonaj';
$lang['Prune_topics_not_posted'] = 'Wyczy tematy bez nowych odpowiedzi przez dni';
$lang['Topics_pruned'] = 'Usunito tematw';
$lang['Prune_success'] = 'Czyszczenie zostao wykonane';


//
// Word censor
//
$lang['Words_title'] = 'Cenzura Sw';
$lang['Words_explain'] = 'Z tego miejsca moesz dodawa, zmienia i usuwa sowa, ktre zostan automatycznie ocenzurowane na Twoim forach. Dodatkowo ludzie nie bd mogli si rejestrowa z nazwami zawierajcymi te sowa. Znaki uniwersalne (*) s dozwolone, np. *test* obejmie przetestowanie, test* obejmie testowanie, *test obejmie przedtest.';
$lang['Word'] = 'Sowo';
$lang['Edit_word_censor'] = 'Zmie Cenzur';
$lang['Replacement'] = 'Zamiennik';
$lang['Add_new_word'] = 'Dodaj nowe sowo';

$lang['Must_enter_word'] = 'Musisz wpisa sowo i jego zamiennik';
$lang['No_word_selected'] = 'Nie wybrano sowa do edycji';

$lang['Word_updated'] = 'Wybrana cenzura zostaa zaktualizowana';
$lang['Word_added'] = 'Nowa cenzura zostaa dodana';
$lang['Word_removed'] = 'Wybrana cenzura zostaa usunita';

$lang['Click_return_wordadmin'] = 'Kliknij %sTutaj%s aby powrci do Administracji Cenzur';

//
// Ranks admin
//

$lang['Ranks_title'] = 'Administracja Rangami';
$lang['Ranks_explain'] = 'Uywajc tego formularza moesz dodawa, zmienia, przeglda i usuwa rangi. Moesz te tworzy specjalne rangi i przydziela je poprzez system zarzdzania uytkownikw.';

$lang['Add_new_rank'] = 'Dodaj now rang';

$lang['Rank_title'] = 'Nazwa Rangi';
$lang['Rank_title_e'] = 'Jeli chcesz uy obrazka rangi w ktrym jest ju nazwa rangi i chcesz eby nie powtarzaa si ona w nazwie rangi to przed nazw rangi daj: <b>-#</b> wowczas nie bdzie ona wywietlana';
$lang['Rank_special'] = 'Jest Rang personaln';
$lang['Rank_minimum'] = 'Minimum Postw';
$lang['Rank_image'] = 'Obraz Rangi';
$lang['Rank_image_explain'] = 'Moesz tutaj okreli obrazek zwizany z dan rang<br />Obrazki rang powinny si znajdowa we wszystkich katalogach stylw w: /templates/Nazwa_stylu/images/ranks/';

$lang['Must_select_rank'] = 'Musisz wybra rang';
$lang['No_assigned_rank'] = 'Nie okrelono rang specjalnych';

$lang['Rank_updated'] = 'Ranga zostaa zaktualizowana';
$lang['Rank_added'] = 'Ranga zostaa dodana';
$lang['Rank_removed'] = 'Ranga zostaa usunita';
$lang['No_update_ranks'] = 'Ranga zostaa usunita, jednake konta uytkownikw, ktrym zostaa przydzielona nie zostay zmienione. Bdziesz musia rcznie usun rang z tych kont';

$lang['Click_return_rankadmin'] = 'Kliknij %sTutaj%s aby powrci do Administracji Rangami';


//
// Disallow Username Admin
//
$lang['Disallow_control'] = 'Kontrola Zabronionych Nazw';
$lang['Disallow_explain'] = 'Tutaj moesz kontrolowa nazwy uytkownikw, ktrych nie wolno uywa. Zabronione nazwy mog zawiera znak zamienny *. Pamitaj, e nie moesz zabroni nazwy, ktra ju zostaa zarejestrowana. Najpierw usu tego uytkownika a potem dopisz tutaj nazw.';

$lang['Delete_disallow_title'] = 'Usu Zabronion Nazw';
$lang['Delete_disallow_explain'] = 'Moesz usun zabronion nazw wybierajc j z tej listy i klikajc Wylij.';

$lang['Add_disallow_title'] = 'Dodaj Zabronion Nazw';
$lang['Add_disallow_explain'] = 'Moesz zabroni korzystania z jakiej nazwy wykorzystujc znak * rwnowany dowolnemu cigowi znakw';
$lang['Disallowed_deleted'] = 'Zabroniona nazwa zostaa usunita';
$lang['Disallow_successful'] = 'Zabroniona nazwa zostaa dodana';
$lang['Disallowed_already'] = 'Nazwa, ktr wpisa' .  (($he) ? 'e' : 'a') . ', nie moe by zakazana. Albo jest ju na licie albo istnieje ju taki uytkownik.';

$lang['Click_return_disallowadmin'] = 'Kliknij %sTutaj%s aby powrci do Administracji Zabronionymi Nazwami';


//
// Styles Admin
//
$lang['Styles_admin'] = 'Administracja Stylami';
$lang['Styles_explain'] = 'Korzystajc z tego narzdzia moesz dodawa, usuwa i zarzdza stylami (oraz szablonami) dostpnymi dla uytkownikw';
$lang['Styles_addnew_explain'] = 'Ponisza lista zawiera wszystkie style, ktre s dostpne dla posiadanych przez ciebie szablonw. Elementy na tej licie nie zostay jeszcze zainstalowane w bazie danych phpBB. Aby zainstalowa styl po prostu kliknij odnonik Instaluj obok wpisu';

$lang['Select_template'] = 'Wybierz Szablon';

$lang['Style'] = 'Styl';
$lang['Template'] = 'Szablon';
$lang['Install'] = 'Instaluj';
$lang['Download'] = 'cignij';

$lang['Edit_theme'] = 'Edytuj Styl';
$lang['Edit_theme_explain'] = 'W formularzu poniej moesz zmieni ustawienia dla wybranego stylu';

$lang['Create_theme'] = 'Utwrz Styl';
$lang['Create_theme_explain'] = 'Uyj formularza poniej aby utworzy nowy styl dla wybranego szablonu. Wpisujc kolory (do ktrych moesz uywa jedynie wartoci szesnastkowych) nie dodawaj pocztkowego #, np. CCCCCC jest poprawne ale #CCCCCC ju nie.';

$lang['Export_themes'] = 'Eksportuj Styl';
$lang['Export_explain'] = 'Z tego panelu moesz eksportowa dane stylu dla wybranego szablonu. Wybierz styl z poniszej listy, a skrypt utworzy plik jego konfiguracji i sprbuje zapisa go w wybranym katalogu stylw. Jeeli nie bdzie moliwe zapisanie pliku otrzymasz moliwo cignicia go. Aby plik zosta zapisany serwer musi mie uprawnienia zapisu w danym katalogu. Wicej informacji znajdziesz w podrczniku phpBB 2.';

$lang['Theme_installed'] = 'Wybrany styl zosta zainstalowany';
$lang['Style_removed'] = 'Wybrany styl zosta usunity z bazy danych. Aby cakowicie usun styl z systemu musisz usun go rcznie z katalogu szablonw.';
$lang['Theme_info_saved'] = 'Informacje o stylu dla wybranego szablonu zostay zapisane. Powin' .  (($he) ? 'iene' : 'na') . ' teraz przywrci uprawnienia dostpu pliku theme_info.cfg (i jeli to potrzebne take dla katalogu szablonw) na \'tylko do odczytu\'.';
$lang['Theme_updated'] = 'Wybrany styl zosta zaktualizowany. Powin' .  (($he) ? 'iene' : 'na') . ' wyeksportowa nowe ustawienia.';
$lang['Theme_created'] = 'Styl utworzony. Powin' .  (($he) ? 'iene' : 'na') . ' teraz wyeksportowa go do pliku konfiguracyjnego aby go zabezpieczy lub uy gdzie indziej.';

$lang['Confirm_delete_style'] = 'Czy na pewno chcesz usun ten styl';

$lang['Download_theme_cfg'] = 'Eksporter nie mg zapisa pliku z informacjami o stylu. Kliknij przycisk poniej aby cign ten plik przez przegldark. Kiedy ju go cigniesz wylij go rcznie do katalogu z plikami szablonu. Moesz wtedy spakowa pliki dla dystrybucji lub uycia gdzie indziej.';
$lang['No_themes'] = 'Wybrany szablon nie ma adnych doczonych stylw. Aby utworzy nowy styl kliknij odnonik Utwrz Nowy na lewym panelu.';
$lang['No_template_dir'] = 'Otwarcie katalogu szablonw byo niemoliwe. By moe nie istnieje lub serwer nie ma do niego praw dostpu.';
$lang['Cannot_remove_style'] = 'Nie moesz usun wybranego stylu, poniewa jest obecnie domylnym dla forum. Zmie ustawienia domylne i sprbuj ponownie.';
$lang['Style_exists'] = 'Nazwa stylu, ktr wybra' .  (($he) ? 'e' : 'a') . ' ju istnieje, wr i sprbuj z inn nazw.';

$lang['Click_return_styleadmin'] = 'Kliknij %sTutaj%s aby powrci do Administracji Stylami';

$lang['Theme_settings'] = 'Ustawienia Tematu';
$lang['Theme_element'] = 'Element Tematu';
$lang['Simple_name'] = 'Prosta Nazwa';
$lang['Save_Settings'] = 'Zapisz Ustawienia';

$lang['Stylesheet'] = 'Arkusz CSS';
$lang['Background_image'] = 'Obrazek Ta';
$lang['Background_color'] = 'Kolor Ta';
$lang['Theme_name'] = 'Nazwa Tematu';
$lang['Link_color'] = 'Kolor Odnonika';
$lang['Text_color'] = 'Kolor Tekstu';
$lang['VLink_color'] = 'Kolor Odwiedzonego Odnonika';
$lang['ALink_color'] = 'Kolor Aktywnego Odnonika';
$lang['HLink_color'] = 'Kolor Odnonika pod Kursorem';
$lang['Tr_color1'] = 'Kolor Rzdu Tabeli 1';
$lang['Tr_color2'] = 'Kolor Rzdu Tabeli 2';
$lang['Tr_color3'] = 'Kolor Rzdu Tabeli 3';
$lang['Tr_class1'] = 'Klasa Rzdu Tabeli 1';
$lang['Tr_class2'] = 'Klasa Rzdu Tabeli 2';
$lang['Tr_class3'] = 'Klasa Rzdu Tabeli 3';
$lang['Th_color1'] = 'Kolor Nagwka Tabeli 1';
$lang['Th_color2'] = 'Kolor Nagwka Tabeli 2';
$lang['Th_color3'] = 'Kolor Nagwka Tabeli 3';
$lang['Th_class1'] = 'Klasa Nagwka Tabeli 1';
$lang['Th_class2'] = 'Klasa Nagwka Tabeli 2';
$lang['Th_class3'] = 'Klasa Nagwka Tabeli 3';
$lang['Td_color1'] = 'Kolor Komrki Tabeli 1';
$lang['Td_color2'] = 'Kolor Komrki Tabeli 2';
$lang['Td_color3'] = 'Kolor Komrki Tabeli 3';
$lang['Td_class1'] = 'Klasa Komrki Tabeli 1';
$lang['Td_class2'] = 'Klasa Komrki Tabeli 2';
$lang['Td_class3'] = 'Klasa Komrki Tabeli 3';
$lang['fontface1'] = 'Czcionka 1';
$lang['fontface2'] = 'Czcionka 2';
$lang['fontface3'] = 'Czcionka 3';
$lang['fontsize1'] = 'Rozmiar Czcionki 1';
$lang['fontsize2'] = 'Rozmiar Czcionki 2';
$lang['fontsize3'] = 'Rozmiar Czcionki 3';
$lang['fontcolor1'] = 'Kolor Czcionki 1';
$lang['fontcolor2'] = 'Kolor Czcionki 2';
$lang['fontcolor3'] = 'Kolor Czcionki 3';
$lang['span_class1'] = 'Klasa Span 1';
$lang['span_class2'] = 'Klasa Span 2';
$lang['span_class3'] = 'Klasa Span 3';

//
// Install Process
//

$lang['Default_lang'] = 'Domylny Jzyk Forum';
$lang['ftp_info'] = 'Wpisz informacj o twoim FTP';
$lang['ftp_username'] = 'Uytkownik FTP';
$lang['Install'] = 'Instalacja';

//
// Modified addons
//

$lang['Poll Admin'] = 'Sondy';
$lang['Poll Results'] = 'Wyniki glosowa';
$lang['Prune_User_Posts'] = 'Masowe kasowanie postw uytkownikw';
$lang['logs'] = 'Logi pocze';
$lang['portal_config'] = 'Ustawienia portalu';
$lang['v_top_posters'] = 'Ile najaktywniejszych uytkownikw. 0 Wycza';
$lang['v_recent_topics'] = 'Ile ostatnich tematw. 0 Wycza';
$lang['l_album_pics'] = 'Ile ostatnich zdj. Wpisz 0 eby wyczy';
$lang['album_pics'] = 'Ostatnie zdjcia';
$lang['Categories'] = 'Kategorie';
$lang['Clear_Cache'] = 'Wyczy Cache';
$lang['Personal_Galleries'] = 'Prywatne galerie';
$lang['Photo_Album'] = 'Album zdj';
$lang['Portal_index'] = 'Strona Portalu';
$lang['Preview_portal'] = 'Podgld Portalu';
$lang['body_footer'] = 'Stopka Portalu';
$lang['body_footer_e'] = 'Moesz utworzy wasn stopk portalu, lub zostaw puste.<br /><a href="../images/dynamic.html" target="_blank">Obsuga zamiennikw</a>';
$lang['l_own_body'] = 'Wasna strona w miejscu newsw';
$lang['l_own_body_e'] = 'Jeeli podasz tutaj kod html wasnej strony, w miejscu newsw bdzie twoja wasna strona.<br /><a href="../images/dynamic.html" target="_blank">Obsuga zamiennikw</a>';
$lang['l_number_of_news'] = 'Ilo newsw w portalu';
$lang['l_news_length'] = 'Dugo newsa (znakw)';
$lang['l_witch_news_forum'] = 'Fora newsw';
$lang['l_witch_news_forum_e'] = 'Wybierz fora z ktrych bd pobierane newsy. Moesz w nich da odpowiednie uprawnienia moderatorom, wwczas w Portalu bd oni "Newsmenami".<br />Jeeli chcesz wybra wicej ni jedno, przytrzymaj klawisz Ctrl';
$lang['l_witch_poll_forum'] = 'Fora ankiet';
$lang['links_body'] = 'Tre linkw (html)';
$lang['General_Portal_Config'] = 'Ustawienia Gwne Portalu';
$lang['Config_Portal_e'] = 'Poniszy formularz pozwala dostosowa wszystkie opcje forum portalu.';
$lang['General_Portal_settings'] = 'Ustawienia portalu';
$lang['Click_return_portal_config'] = 'Kliknij %sTutaj%s aby powrci do Ustawie Portalu';
$lang['Config_portal_updated'] = 'Konfiguracja Portalu Zostaa Zaktualizowana';

$lang['Status_locked'] = 'Zablokowane';
$lang['Status_unlocked'] = 'Odblokowane';
$lang['Sort_alpha'] = 'Tytuu tematu';
$lang['Sort_fpdate'] = 'Czasu ostatniego postu';
$lang['Sort_ttime'] = 'Czasu napisania tematu';
$lang['Sort_author'] = 'Autora tematu';
$lang['User_allowsig'] = 'Moe dodawa podpis';
$lang['No_group_action'] = 'Nie wybrano czynnosci';
$lang['Download2'] = 'Download';

$lang['Next_birthday_greeting'] = 'Nastpne powitanie w roku';
$lang['Next_birthday_greeting_expain'] = 'Podaj rok w ktrym uytkownik ma zosta powitany.';
$lang['Wrong_next_birthday_greeting'] = 'Podany rok powitania jest nieprawidowy';
$lang['Active'] = 'Aktywny';
$lang['modules'] = 'Rozmieszczenie moduw';
$lang['modules_e'] = 'Portal jest podzielony na trzy kolumny, w rodkowej s newsy, w lewej i prawej moduy. Ponisze jumpboxy pozwalaj dostosowa, kolejno, oraz stron z ktrej bdzie modu.';
$lang['custom_body'] = 'Zawarto wasnego menu';
$lang['custom_body_e'] = 'Wpisz w HTML-u zawarto menu';
$lang['custom_name'] = 'Tytu wasnego menu';
$lang['custom_name_e'] = 'Wpisz tytu menu';
$lang['rmodule'] = 'Prawa strona portalu';
$lang['lmodule'] = 'Lewa strona portalu';
$lang['clock'] = 'Zegar';
$lang['custom_mod'] = 'Wasne menu';
$lang['custom_blank_mod'] = 'Wasny modu';
$lang['l_portal_menu_a'] = 'Wyrwnanie Menu';
$lang['album_pos'] = 'Wyrwnanie Menu Ostatnich zdj';
$lang['l_links_a'] = 'Wyrwnanie Menu Linki';
$lang['l_search_a'] = 'Wyrwnanie Menu Szukaj';
$lang['l_stat_a'] = 'Wyrwnanie Menu Szybkich statystyk';
$lang['l_recent_topics_a'] = 'Wyrwnanie Menu Ostatnich Tematw';
$lang['l_top_posters_a'] = 'Wyrwnanie Menu Najaktywniejszych Uytkownikw';
$lang['l_birthday_a'] = 'Wyrwnanie Menu Dzisiaj';
$lang['l_info_a'] = 'Wyrwnanie Menu Info Uytkownika';
$lang['l_login_a'] = 'Wyrwnanie Menu Zaloguj';
$lang['l_whoonline_a'] = 'Wyrwnanie Menu Kto jest na forum';
$lang['l_chat_a'] = 'Wyrwnanie Menu Chat';
$lang['l_register_a'] = 'Wyrwnanie Menu Szybka rejestracja';
$lang['l_links1'] = 'Link do forum';
$lang['l_links2'] = 'Link do portalu';
$lang['l_links3'] = 'Link do listy uytkownikw';
$lang['l_links4'] = 'Link Szukaj';
$lang['l_links5'] = 'Link Grupy';
$lang['l_links6'] = 'Link do profilu';
$lang['l_links7'] = 'link Zaloguj/Wyloguj';
$lang['l_links8'] = 'Link Rejestracja';
$lang['l_blank_body_on'] = 'Wasne moduy';
$lang['l_blank_body_on_e'] = 'Poniej znajduj si pola do wpisania w HTML-u wasnych moduw.';
$lang['body_header'] = 'Kod HTML wasnego nagwka';
$lang['body_header_e'] = 'W tym polu moesz napisa w HTML wasny nagwek, wraz z linkami. Moesz da banner i wszystko co przyjdzie Ci do gowy.<br />Jeeli chcesz dostosowa nagwek osobno dla kadego stylu wpisz w tym miejscu tylko: <b>get_from_template</b> Nagwek bdzie pobierany z katalogu biecego stylu z pliku <b>portal_header.tpl</b><br /><a href="../images/dynamic.html" target="_blank">Obsuga zamiennikw</a>';
$lang['Deactivate'] = 'Wycz';
$lang['none'] = 'wycz';
$lang['l_align_right'] = 'do prawej';
$lang['l_align_center'] = 'do rodka';
$lang['l_align_left'] = 'do lewej';
$lang['custom_desc'] = 'Nazwa wasnego linka';
$lang['custom_address'] = 'Adres do linka';
$lang['l_portal_on'] = 'Portal wczony';
$lang['l_link_logo'] = 'Logo forum linkiem do portalu';
$lang['l_own_header'] = 'Wasny nagwek portalu';
$lang['l_portal_on_e'] = 'Moesz napisa swj wasny nagwek dla portalu, lecz jeli wyczysz, nagwek bdzie taki sam jak na forum.';
$lang['l_news_forum'] = 'Nagwek Newsw';
$lang['l_body_news_forum'] = 'Wasny nagwek newsw';
$lang['l_body_news_forum_e'] = 'Moesz napisa swj wasny nagwek dla newsw.<br /><a href="../images/dynamic.html" target="_blank">Obsuga zamiennikw</a>';
$lang['Logs'] = 'Logi';
$lang['LogsActions'] = 'Logi czynnoci';
$lang['Log_action_title'] = 'Logi administracyjne';
$lang['Log_action_explain'] = 'Poniej znajduj si logi czynnoci wykonywanych przez administratorw i moderatorw';
$lang['Choose_sort_method'] = 'Wybierz metod sortowania';
$lang['Id_log'] = 'Log Id';
$lang['Delete_log'] = 'Skasuj Log';
$lang['Action'] = 'Czynno';
$lang['Done_by'] = 'Wykonane przez';
$lang['User_ip'] = 'IP uytkownika';
$lang['Log_delete'] = 'Log skasowany.';
$lang['Click_return_admin_log'] = 'Kliknij %sTutaj%s eby przej do logw';
$lang['OverallPermissions'] = 'Zezwolenia oglne';
$lang['OverallPermissions_all'] = 'Ustaw ponisze zezwolenia dla wszystkich for';
$lang['l_logsip_e'] = 'Logi domylnie wyczone, moesz je wczy w menu Konfiguracja. Do poprawnej pracy logowania plik /admin/admin_logs.php musi mie prawa do zapisu: chmod 777 admin_logs.php<br />Jeeli chcesz wyczyci logi, usu zawarto danych w pliku /admin/admin_logs.php';
$lang['l_logsip'] = 'Logi pocze';
$lang['Files'] = 'Pliki';
$lang['Globalannounce'] = 'Wane ogoszenie';
$lang['Group_rank'] = 'Rangi dla grup';
$lang['Group_rank_explain'] = 'Tutaj moesz wybra rangi dla caych grup. Bdzie ignorowane jeli ustawisz rang specjaln.';
$lang['Group_Rank_special'] = 'Personalna- / Ranga grupy';
$lang['Group_rank_order'] = 'Pierwszestwo Grup';
$lang['Group_rank_order_moved'] = 'Grupa przeniesiona.';
$lang['Group_rank_order_alreay_moved'] = 'Grupa ju jest przeniesiona.';
$lang['Group_rank_order_could_not_moved'] = 'Grupa nie moe by przeniesiona poniewa ju jest na grze lub na dole.';
$lang['Group_rank_resynced'] = 'Grupowanie zsynchronizowane';
$lang['Group_rank_order_explain'] = 'Jeli uytkownik jest w wiecej ni jednej grupie, bdzie pokazywana ta ranga ktra jest wyej na licie.';

$lang['Inactive_title'] = 'Nieaktywni uytkownicy';
$lang['Deleted_user'] = 'Uytkownik z ID #%d usunity';
$lang['Activate_title'] = 'Czynno konta uytkownika';
$lang['Activate'] = 'Aktywuj';
$lang['Waiting_1'] = '(Oczekuje na aktywacj %d dzie)';
$lang['Waiting_2'] = '(Oczekuje na aktywacj od %d dni)';
$lang['No_users'] = 'Nie ma uytkownikw oczekujcych na aktywacj';
$lang['Total_member'] = '<b>%d</b> uytkownik oczekuje na aktywacj.';
$lang['Total_members'] = '<b>%d</b> uytkownikw oczekuje na aktywacj.';

$lang['Account_block'] = 'Konto zablokowane';
$lang['Account_block_explain'] = 'Tutaj znajduj si informacje dot. blokady konta, prb bdnego logowania, daty, adresu.';
$lang['Block_until'] = 'Zablokowane do: %s';
$lang['Block_by'] = 'Prby logowa z IP: %s';
$lang['Last_block_by'] = 'Ostatnio z IP: %s';
$lang['Unblock_user'] = 'Odblokuj konto';
$lang['Block_user'] = 'Zablokuj konto na %s minut';
$lang['Badlogin_count'] = 'Ilo bdnych logowa';

$lang['BM_Show_bans_by'] = 'Poka bany na';
$lang['BM_All'] = 'Wszystkie';
$lang['BM_Show'] = 'Poka';
$lang['BM_Banned'] = 'Zaoony';
$lang['BM_Expires'] = 'Wyganie';
$lang['BM_By'] = 'Przez';
$lang['BM_Add_a_new_ban'] = 'Dodaj bana';
$lang['BM_Edit_ban'] = 'Edytuj bana';
$lang['BM_Delete_selected_bans'] = 'Usu wybrane bany';
$lang['BM_Private_reason'] = 'Prywatny powd';
$lang['BM_Private_reason_explain'] = 'Ten powd bdzie widoczny tylko dla administratorw';
$lang['BM_Public_reason'] = 'Publiczny powd';
$lang['BM_Public_reason_explain'] = 'Ten powd bdzie wywietlany tylko zbanowanemu uytkownikowi, jeli bdzie prbowa wej na forum';
$lang['BM_Generic_reason'] = 'Powd standardowy';
$lang['BM_Mirror_private_reason'] = 'Powd taki sam jak Prywatny Powd';
$lang['BM_Other'] = 'Inny/wpisz niej';
$lang['BM_Expire_time'] = 'Czas wyganicia';
$lang['BM_Expire_time_explain'] = 'Moesz ustali kiedy ban ma znikn/wygasn.';
$lang['BM_Never'] = 'Nigdy';
$lang['BM_After_specified_length_of_time'] = 'Po upywie:';
$lang['BM_Minutes'] = 'Minut';
$lang['BM_Weeks'] = 'Tygodni';
$lang['BM_Months'] = 'Miesicy';
$lang['BM_Years'] = 'Lat';

$lang['Custom_fields'] = 'Pola w profilu';
$lang['shoutbox_on'] = 'ShoutBox wczony';
$lang['date_on'] = 'Wywietlanie daty';
$lang['sb_make_links'] = 'Wcz automatyczne tworzenie linkw';
$lang['sb_links_names'] = 'Nazwa linkiem do profilu';
$lang['sb_allow_edit'] = 'Zezwl na edycje wiadomoci przez Administratorw';
$lang['sb_allow_edit_m'] = 'Zezwl na edycje wiadomoci przez Moderatorw';
$lang['sb_allow_edit_all'] = 'Zezwl na edycje wasnych wiadomoci';
$lang['sb_allow_delete'] = 'Zezwl na usuwanie wiadomoci przez Administratorw';
$lang['sb_allow_delete_m'] = 'Zezwl na usuwanie wiadomoci przez Moderatorw';
$lang['sb_allow_delete_all'] = 'Zezwl na usuwanie wasnych wiadomoci';
$lang['sb_allow_guest'] = 'Gocie mog pisa w ShoutBox\'ie ?';
$lang['sb_allow_guest_view'] = 'Shoutbox tylko widoczny dla goci, bez moliwoci pisania';
$lang['sb_allow_users'] = 'Zarejestrowani uytkownicy mog pisa w ShoutBox\'ie ?';
$lang['sb_allow_users_view'] = 'Shoutbox tylko widoczny dla zarejestrowanych uytkownikw, bez moliwoci pisania';
$lang['delete_days'] = 'Po ilu dniach kasowa wiadomoci';
$lang['sb_count_msg'] = 'Ilo wywietlanych wiadomoci';
$lang['sb_text_lenght'] = 'Maksymalna ilo znakw w wiadomoci';
$lang['sb_word_lenght'] = 'Maksymalna ilo znakw w jednym wyrazie';
$lang['setup_shoutbox'] = 'Ustawienia Shoutboxa';
$lang['shout_size'] = 'Rozmiary ShoutBox\'a';
$lang['sb_banned_send'] = 'Zabro wysya wiadomoci uytkownikowi';
$lang['sb_banned_send_e'] = 'Wpisz ID uytkownika, ktremu chcesz odebra moliwo wysyania wiadomoci do ShoutBox\'a, moesz poda kilka, oddziel je przecinkami. Przykad: <b>18, 124</b>';
$lang['sb_banned_view'] = 'Wycz ShoutBox dla uytkownika';
$lang['sb_banned_view_e'] = 'Wpisz ID uytkownika, ktremu chcesz odebra moliwo uywania ShoutBox\'a, moesz poda kilka, oddziel je przecinkami. Przykad: <b>18, 124</b>';

$lang['disallow_forums'] = 'Zablokuj pisanie w forach';
$lang['disallow_forums_e'] = 'Zablokuj temu uytkownikowi moliwo pisania w okrelonych forach.<br />Dla wyboru kilku, przytrzymaj klawisz Ctrl';
$lang['can_custom_ranks'] = 'Moe ustawia swj tytu';
$lang['can_custom_color'] = 'Moe ustawia kolor nazwy';

$lang['group_count'] = 'Ilo wymaganych postw';
$lang['group_count_explain'] = 'Jeli uytkownik bdzie mia tyle postw lub wicej ni ta warto zostanie automatycznie doczony do tej grupy';
$lang['Group_count_enable'] = 'Automatyczne dodawanie uytkownikw';
$lang['Group_count_update'] = 'Dodaj teraz uytkownikw z podan lub wiksz iloci postw';
$lang['Group_count_delete'] = 'Usu teraz wszystkich uytkownikw tej grupy';

$lang['Optimize_DB'] = 'Optymalizacja SQL';
$lang['Optimize'] = 'Optymalizuj';
$lang['Optimize_explain'] = 'Optymalizacja bazy SQL polega na czyszczeniu pustych pl w bazie';
$lang['Optimize_Table'] = 'Tabela';
$lang['Optimize_Record'] = 'Wpisw';
$lang['Optimize_Type'] = 'Typ';
$lang['Optimize_Size'] = 'Rozmiar';
$lang['Optimize_Status'] = 'Status';
$lang['Optimize_InvertChecked'] = 'Odwr zaznaczenia';
$lang['Optimize_success'] = 'Baza pomylnie zoptymalizowana';
$lang['Optimize_NoTableChecked'] = 'Nie wybrano adnej tabeli';

$lang['SQL_Admin_No_Access'] = 'Nie masz dostpu do tego menu.<br /><br />Kliknij %sTutaj%s eby zobaczy szczegy.';
$lang['Category_attachment'] = 'Przypisane do';
$lang['Category_desc'] = 'Opis';
$lang['Attach_forum_wrong'] = 'Nie moesz przypisa forum do forum. Tylko kategorie.';
$lang['Attach_root_wrong'] = 'Nie moesz przypisa forum do gwnego forum, utwrz kategorie';
$lang['Forum_name_missing'] = 'Nie mona utworzy forum bez nazwy';
$lang['Category_name_missing'] = 'Nie mona utworzy kategorii bez nazwy';
$lang['Only_forum_for_topics'] = 'Tematy mog by tylko w forum';
$lang['Delete_forum_with_attachment_denied'] = 'Nie moesz usun forum zawierajcego podkategorie';
$lang['Category_delete'] = 'Usu kategorie';
$lang['Category_delete_explain'] = 'W tym miejscu moesz usun kategorie i przenie fora oraz podkategorie ktre zawiera.';
$lang['Forum_link_url'] = 'Forum&nbsp;jako&nbsp;link';
$lang['Forum_link_url_explain'] = 'W tym miejscu moesz poda adres lokalny lub peny adres do zewntrznego miejsca.<br />Pamitaj eby poda http://';
$lang['Forum_link_internal'] = 'Adres lokalny';
$lang['Forum_link_internal_explain'] = 'Wybierz Tak jeli adres jest lokalny (katalog forum)';
$lang['Forum_link_hit_count'] = 'Klikni';
$lang['Forum_link_hit_count_explain'] = 'Wybierz Tak, jeli chcesz aby kliknicia byy zliczne i pokazywane.';
$lang['Forum_link_with_attachment_deny'] = 'Nie moesz ustawi forum jako link, jeeli zawiera podkategorie.';
$lang['Forum_link_with_topics_deny'] = 'Nie moesz ustawi forum jako link, jeeli zawiera tematy.';
$lang['Forum_attached_to_link_denied'] = 'Nie moesz przypisa forum ani kategorii do forum ktre jest linkiem.';

$lang['mass_smilies_add'] = 'Dodaj umieszki z katalogu';
$lang['Click_to_back_smilies'] = 'Umieszkw dodanych: <b>%s</b><br /><br />Kliknij %sTutaj%s eby wrci do zarzdzania umieszkami';
$lang['Resync_Stats'] = 'Synchronizacja';
$lang['Rebuild_search'] = 'Odbuduj Search';
$lang['Rebuild_search_explain'] = 'Ta funkcja pozwala na odbudowanie tabel phpbb_search_* pobiera ona dane z tabeli postw i kopiuje je do search\'u. Umoliwia to cakowite odzyskanie tabel search, przydatne jest to w sytuacji gdy mamy du baz danych i potrzebujemy przenie forum na inny serwer, wwczas moemy usun cakowicie tabele phpbb_search_* ktre zajmuj okoo 40% caej bazy, skopiowa baz danych na drugi serwer i wwczas odbudowac search.<br />Odbudowywanie search\'u przy duej iloci postw moe trwa kilka godzin, jest wyposaone w automat ktry pozwala na kontynuowanie odbudowywania po rozczeniu.<br />Jeeli mamy forum na wolnym serwerze, musimy wybra wikszy czas oraz mniejszy limit postw, w przypadku "zacicia" si funkcji w jakim miejscu musimy chwilowo zmniejszy jeszcze bardziej limit postw (dzieje si tak wtedy gdy skrypt natrafi na obszerny post)<br /><b>Pamitaj</b> e podczas startu skryptu tabele phpbb_search_* zostaj wyczyszczone.';
$lang['Time_limit'] = 'Limit czasu';
$lang['Post_limit'] = 'Limit postw';
$lang['Finished'] = 'Zakoczono';
$lang['Refresh_rate'] = 'Odwieanie';
$lang['Percentage_complete'] = 'Postp';
$lang['Resync_page_desc_simple'] = 'W tym miejscu moesz zsynchronizowa baze danych for, to narzdzie ustala prawdziw warto dla: iloci tematw, postw, ostatnich postw, odpowiedzi, moesz wybra poszczeglne fora do synchronizacji, lub zaznaczyc wszystkie.<br />Jeeli masz due forum, z du iloci tematw i postw, uyj trybu zaawansowanego aby syncronizowa fora pojedynczo.<br /><b>Przed uyciem tego narzdzia powin' .  (($he) ? 'iene' : 'na') . ' zrobi kopi bazy danych.</b><br />Zalecane jest dwukrotne wykonanie synchronizacji.'; 
$lang['Resync_all_ask'] = 'Synchronizacja wszystkich for';
$lang['Resync_options'] = 'Opcje synchronizacji';
$lang['Resync_forum_topics'] = 'Ilo tematw w forum';
$lang['Resync_forum_posts'] = 'Ilo postw w forum';
$lang['Resync_forum_last_post'] = 'Ostatni post w forum';
$lang['Resync_topic_replies'] = 'Ilo odpowiedzi w tematach';
$lang['Resync_topic_last_post'] = 'Ostatni post w tematach';
$lang['Resync_question'] = 'Wybr';
$lang['Resync_do'] = 'Uruchom synchronizacj';
$lang['Resync_redirect'] = '<br /><br />Wr do <a href="%s">Synchronizacji</a><br /><br />Wr do <a href="%s">Panelu admina</a>.';
$lang['Resync_completed'] = 'Fora oraz tematy zostay zsynchronizowane';
$lang['Resync_no_forums'] = 'Brak for do synchronizacji';
$lang['resume_rebuild'] = '<b>Uwaga!</b> poprzednie odbudowywanie zostao przerwane przed ukoczeniem zadania, kliknij %sTutaj%s aby je przywrci, lub %sTutaj%s aby anulowa. Jeeli anulujesz, w tabelach phpbb_search_* pozostan niepene dane ktre zostay odtworzone do tej pory, zaleca sie wtedy rozpocz przebudowywanie od pocztku.';
$lang['value_not'] = 'Warto: <b>%s</b> nie ma odpowiednika, popraw zapytanie<br /><br />Kliknij %sTutaj%s eby powrci';
$lang['confirm_clear'] = 'Nie poda' .  (($he) ? 'e' : 'a') . ' warunkw, czy na pewno chcesz wyczyci t tabel ?';
$lang['cannot_execute'] = 'Nie mog wykona: <b>%s</b><br /><br />Kliknij %sTutaj%s eby powrci.';
$lang['execute_done'] = 'Ilo rekordw: <b>%s</b><br /><br /><b>%s</b><br /><br />Kliknij %sTutaj%s eby powrci.';
$lang['mysql_e'] = '<span style="color: red"><b>UWAGA !!!</b></span> To narzdzie jest dla zaawansowanych uytkownikw! Znajcych dziaanie baz SQL, niewaciwe uycie moe spowodowa trwa utrat danych z bazy!<br />W tym miejscu moesz wykona jedno lub kilka zapyta SQL. Aby wykona kilka, oddziel je znakiem <b>;</b> jednak ten znak nie moe wystpowa w samym zapytaniu SQL.<br />Przed uyciem zalecane jest wykonanie kopii bazy SQL ! Prefix tabel: <b>%s</b>';
$lang['do_query'] = 'Wykonanie zapytania/zapyta SQL';
$lang['execute'] = 'wykonaj';
$lang['access_title'] = 'Zezwolenia dla SQL\'a';
$lang['access_explain'] = 'Z powodw bezpieczestwa do menu SQL mog mie dostp tylko wybrani administratorzy.<br />Jeeli nie masz dostpu a uwaasz e powin' .  (($he) ? 'iene' : 'na') . ' mie, zwr si do gwnego administratora.<br />Dopisywanie administratorw ktrzy maj mie dostp do SQL odbywa si za pomoc ID. Jeeli nie wiesz co to znaczy to lepiej eby nie wiedzia' .  (($he) ? '' : 'a') . ' i nie mia' .  (($he) ? '' : 'a') . ' dostpu do tej czci menu, bo moe si to skoczy uszkodzeniem forum :><br />Jeli jeste "dopisanym" adminem poniej jest formularz sucy do dodania kolejnych adminw ktrzy bd mieli dostp do SQL. Jeli jeste gwnym administratorem i nie widzisz formularza, kliknij %s<b>Tutaj</b>%s bdziesz mia' .  (($he) ? '' : 'a') . ' moliwo dodania swojego ID (domylnie 2)<br /><span style="color: red"><b>Pamitaj</b></span> eby po zakoczeniu koniecznie zmieni nazw pliku <b>/admin/main_admin.php</b> lub go usun, w przeciwnym razie twoi administratorzy bd mogli zastpi twoje ID swoim i bd mie dostp do SQL.<br />W celu jeszcze wikszego bezpieczestwa wskazane jest po zakoczeniu operacji na bazie danych, usunicie z tej listy zezwole swojego numeru ID i zmian nazwy pliku poprzez FTP';
$lang['change_main_admin'] = 'Wpisz swoje ID (dla kilku oddziel przecinkami)';
$lang['IPSearch_Search_by_IP'] = 'Szukaj adresu IP';
$lang['IPSearch_Enter_IP'] = 'Podaj adres IP';
$lang['IPSearch_Search_Results'] = 'Wyniki wyszukiwania IP';
$lang['IPSearch_Enter_an_IP'] = 'Cofnij sie i podaj adres IP';
$lang['IPSearch_Again'] = 'Szukaj jeszcze raz';
$lang['smiley_del_all_success'] = 'Wszystkie umieszki zostay usunite';
$lang['dell_all_smilies'] = 'Usu wszystkie umieszki !';
$lang['can_topic_color'] = 'Moe uywa koloru tematu';
$lang['Uninstall18'] = 'Deinstalator modyfikacji';
$lang['uninstall_explain'] = 'W tym miejscu moesz przywrci forum do oryginalnej postaci, moe si to okaza potrzebne gdy bdziesz chcia' .  (($he) ? '' : 'a') . ' uaktualni swoje forum np. do wersji phpBB 2.2.<br />Przywracanie skada si z dwch etapw: 1. Odinstalowanie w tym miejscu modyfikacji z bazy danych. 2. Nadpisanie plikw oryginalnymi plikami phpBB 2.0.x Lepszym sposobem jest usunicie z katalogu forum wszystkich plikw, z wyjtkiem katalogu \'images\' oraz pliku <b>config.php</b> i wgranie oryginalnych plikw.<br /><br /><b>Odinstalowywanie z bazy danych SQL</b><br />Pamitaj, e gdy odinstalujesz modyfikacj z bazy SQL nie bdzie mona tego cofn. Stracisz wszystkie dodatkowe informacje, te ktrych nie ma w oryginalnym phpBB. Zalecane jest wic zrobienie kopii bazy SQL.<br />Moliwe jest oczywicie ponowne przywrcenie forum do postaci z przed odinstalowania, pod warunkiem posiadania kopii bazy SQL. Jeeli chcemy przywrci, czycimy baz danych, wgrywamy kopi bazy i nadpisujemy pliki forum plikami phpBB modified v1.12.4 by Przemo z wyjtkiem pliku <b>config.php</b>';
$lang['Uninstall'] = 'Odinstaluj';
$lang['confirm_uninstall'] = 'Czy jeste pew' .  (($he) ? 'ien' : 'na') . ' e chcesz odinstalowa modyfikacje?<br />Spowoduje to utrat niektrych danych, powin' .  (($he) ? 'iene' : 'na') . ' posiada kopi bazy danych.';
$lang['Set_new_version'] = 'Podaj wersj plikw phpBB2 ktrymi nadpiszesz istniejce';
$lang['uninstall_end'] = '<span class="nav"><b>Wynik deinstalacji:</b></span><br /><span class="gensmall">Jeeli wszystkie zapytania s w kolorze niebieskim, oznacza to e deinstalacja przebiega pomylnie. Usu wszystkie dodatkowe pliki pakietu phpBB modified by Przemo, i nadpisz wszystkie istniejce plikami z oryginalnego pakietu phpBB 2.0.15 lub wyszego.</span>';
$lang['query_executed'] = 'Instrukcja wykonana';
$lang['query_not_executed'] = 'Instrukcja nie wykonana';
$lang['Updates'] = 'Uaktualnienia';

$lang['Report_post'] = 'Zgaszanie postw';
$lang['Report_config_updated'] = 'Ustawienia zgaszanych postw zaktualizowane.';
$lang['Click_return_report_config'] = 'Kliknij %sTutaj%s aby przej do ustawie zgaszania postw';
$lang['Click_return_report_auth'] = 'Kliknij %sTutaj%s aby przej do ustawie zezwole zgaszania postw';
$lang['Click_return_report_auth_select'] = 'Kliknij %sTutaj%s aby przej do wyboru zezwole zgaszania postw';
$lang['Report_config'] = 'Zgaszanie postw - Konfiguracja';
$lang['Report_config_explain'] = '';
$lang['Report_popup_size'] = 'Rozmiary popup\'a';
$lang['Report_popup_size_explain'] = 'W tym miejscu moesz ustawi szeroko i wysoko popup\'a (w pikselach)';
$lang['Report_popup_links_target'] = 'Okno popup\'a';
$lang['Report_popup_links_target_explain'] = 'W tym miejscu moesz ustali w jakim oknie ma by otwierany popup';
$lang['Report_popup_links_target_0'] = 'Jako popup';
$lang['Report_popup_links_target_1'] = 'W nowym oknie';
$lang['Report_popup_links_target_2'] = 'W tym samym oknie';
$lang['Report_only_admin'] = 'Tylko dla administratorw';
$lang['Report_only_admin_explain'] = 'Jeli wczysz t opcje, tylko administratorzy bd powiadamiani o zgaszanych postach';
$lang['Report_no_guests'] = 'Tylko zarejestrowani';
$lang['Report_no_guests_explain'] = 'Tylko zarejestrowani uytkownicy mog zgaszac posty';
$lang['No_group_specified'] = 'Nie ma ustalonej grupy/grup';
$lang['Report_already_auth'] = 'Ten uytkownik/grupa ju jest dodany';
$lang['Report_auth_field_explain'] = 'Moesz zaznaczy kilka uytkownikw';
$lang['Report_permissions_explain'] = 'W tym miejscu moesz zablokowa zgaszanie postw, lub wyczy powiadamianie o zgoszonych pstach dla wybranych uytkownikw';
$lang['Report_no_auth'] = 'Zablokuj moliwo zgaszania postw wybranym uytkownikom';
$lang['Report_disable'] = 'Wycz powiadamianie o zgaszanych postach dla wybranych uytkownikw';
$lang['Back'] = 'Cofnij';
$lang['Remove'] = 'Usu';
$lang['Report_post_disable'] = 'Zgaszanie postw wyczone';
$lang['Prune_users'] = 'Masowe kasowanie uytkownikw'; 
$lang['Acat'] = 'Kategoria: Dodaj';
$lang['Ecat'] = 'Kategoria: Edytuj';
$lang['Dcat'] = 'Kategoria: Usu';
$lang['Rcat'] = 'Kategoria: Przemianuj';
$lang['Afile'] = 'Pliki: Dodaj';
$lang['Efile'] = 'Pliki: Edytuj';
$lang['Dfile'] = 'Pliki: Usu';
$lang['Afield'] = 'Dodatki: Dodaj';
$lang['Efield'] = 'Dodatki: Edytuj';
$lang['Dfield'] = 'Dodatki: Usu';
$lang['Alicense'] = 'Licencja: Dodaj';
$lang['Elicense'] = 'Licencja: Edytuj';
$lang['Dlicense'] = 'Licencja: Usu';
$lang['Fchecker'] = 'Pliki: Konserwacja';
$lang['wrong_config_parametr'] = $lang['Server_name'] . ' nie moe zawiera <b>http://</b> !';
$lang['Birthday_explain'] = 'Format daty: %s, przykad: 09-11-1982 Pamitaj eby doda zero jeli trzeba';
$lang['Forum_link'] = 'Link zewntrzny';
$lang['User_allow_helped'] = 'Moe uywa punktw "Pomg"';
$lang['User_allow_helped_e'] = 'Wcza lub wycza zarwno uywanie przycisku "Pomg" jak i ukrywa ilo punktw "Pomg" uzyskanych przez tego uytkownika';
$lang['Admin_notepad'] = 'Notatnik Administratorw';
$lang['confirm_deluser'] = 'Czy jeste pew' .  (($he) ? 'ien' : 'na') . ' e chcesz usun tego uytkownika ?';
$lang['Donation'] = '<b>Wspom autora</b>';
$lang['Donation_e'] = '<br />Jeeli podoba Ci si modyfikacja forum, ktrej uywasz, moesz wspomc jej autora.<br />Aby to zrobi <a href="http://www.przemo.org/phpBB2/donation/">zobacz szczegy</a><br /><br /></span><span class="genmed">Modyfikacj t tworz sam, praca nad ni jest moim hobby i pasj, a powiciem jej okoo 2,000 godzin.<br />Pocztkowo byo to malutkie zmodyfikowane forum, ktre zrobiem tylko do wasnych potrzeb. Jednak od samego pocztku podobao si wielu osobom, dlatego postanowiem je opublikowa za darmo (darmowym jest do tej pory i darmowym pozostanie). Modyfikacja zdobywaa coraz wiksz popularno a ja miaem z niej coraz wiksz satysfakcj (cho rwnie spoczywajca na mnie odpowiedzialno, zwikszaa si).<br />Ilo osb zainteresowanych rosa byskawicznie (i dalej ronie, nie tylko w Polsce). W efekcie, mojej stronie i forum gdzie mona uzyska pomoc, przesta wystarcza darmowy hosting. Skorzystaem z komercyjnego serwera, oferujcego bardzo due limity transferu miesicznego (15GB), jednak w ostatnich miesicach i te przestay wystarcza.<br />Cieszc si dalej swoim projektem a take co najwaniejsze, zadowoleniem tysicy Uytkownikw, nie mog zaprzesta rozwijania tej modyfikacji.<br /><br />Mam gbok nadziej, e phpBB by Przemo bdzie istnie zawsze, jeli tak si stanie, bdzie nadao za potrzebami jego Uytkownikw.<br /><br />Dlatego licz na Twoje wsparcie. Jeeli doceniasz moj prac, zawsze bd mnie cieszy sowa pochway i zadowolenia, ale jeli masz ku temu wiksze moliwoci, bardzo prosz o drobne wsparcie. Szczegy s opisane w powyszym linku.<br />Uchylajc rbka tajemnicy, napisz, e pomoc kadej osoby zostanie doceniona i przyniesie jej korzyci :)<br /><br />Przemo';
$lang['Forum_moderate'] = 'Forum moderowane';
$lang['Forum_moderate_e'] = 'Tematy i posty bd oczekiway na akceptacj przez Moderatora lub Administratora';
$lang['Tree_req'] = 'Tematy tylko w formie drzewa';
$lang['Tree_req_grade'] = 'Po ilu stopniach drzewa zmniejszenie odlegoci stopni drzewa<br />0 - Wycza cakowicie drzewa w forum';
$lang['Prune_explain'] = 'Nie zostan usunite tematy zawierajce sondy lub bdce ogoszeniami lub tematami przyklejonymi.';
$lang['No_count'] = 'Niezlicznie postw';
$lang['Forums_shadow'] = 'Fora nieskojarzone z adn kategori';
$lang['Wrong_category'] = 'Nie moesz przypisac forum samego do siebie.';
$lang['All_forums'] = 'Wszystkie fora i kategorie';
$lang['log_file_limit_info'] = 'Plik logw <b>/admin/admin_logs.'.$phpEx.'</b> jest zbyt duy (%sMb) aby go otworzy w oknie przegldarki.<br /><br />Plik zosta skompresowany i znajduje si w: <b>%s</b><br /><br />Kliknij %sTutaj%s aby go pobra.<br /><br />Po cigniciu KONIECZNIE usu go z katalogu /files/ moesz te wyczyci stary plik /admin/admin_logs.'.$phpEx;
$lang['log_file_limit_error1'] = 'Bd odczytu pliku: <b>%s</b>';
$lang['log_file_limit_error2'] = 'Bd zapisu skompresowanego pliku: <b>%s</b>';

$lang['Confirm_delete_all'] = 'Czy na pewno chcesz usun wszystkie: <b>%s</b> ?';
$lang['Split'] = 'czenie';
$lang['Expire'] = 'Wygasanie';
$lang['Warning_delete'] = 'Usunicie ostrzeenia';
$lang['Warning_edit'] = 'Edycja ostrzeenia';
$lang['Object'] = 'Obiekt';
$lang['Group_mail_enable'] = 'Moderator grupy moe wysya masow korespondencj do czonkw grupy ?';
$lang['Forum_trash'] = 'Forum jako mietnik';
$lang['Forum_trash_e'] = 'Gdy ustawisz forum jako mietnik, podczas kasowania tematw pojawi si dodatkowy przycisk sucy przenoszeniu tematu do mietnika';
$lang['Resync_page_posts'] = 'Synchronizacja uytkownikw';
$lang['No_themes'] = 'Brak Szablonw w bazie danych';
$lang['Group_prefix'] = 'Prefix, pojawi si przed nazw uytkownikw';
$lang['Group_no_unsub'] = 'Zakaz opuszczania';
$lang['Groups_color_explain'] = 'Moesz wyrni grupy, ustawiajc im kolor prefix oraz styl. Jeeli w edycji danych stylu, usuniesz kolor dla Admina, Moda lub Junior Admina nie bd oni oznaczani kolorem i bdziesz ' .  (($he) ? 'mg' : 'moga') . ' ich przypisa do wyrnionej grupy, zniknie te opis kolorw m.in. na stronie gwnej.<br />Wiele stylw oddziel rednikiem, przykady: <b>font-weight: bold; font-size: 16px; text-decoration: line-through; font-style: italic; filter: glow(color=#FF0000);height:10</b> i wiele innych (max. 255 znakw)';
$lang['Group_style'] = 'Styl';
$lang['Separate_topics'] = 'Oddzielone wane tematy';
$lang['Separate_total'] = 'osobne tabele';
$lang['Separate_med'] = 'belka';
$lang['Show_global_announce'] = 'Pokazuj wane ogoszenia z innych for';
$lang['Advert_title'] = 'Reklama';
$lang['Show_hosts'] = 'Poka hosty';
$lang['Forum_no_split'] = 'Nie cz postw';
$lang['Forum_no_helped'] = 'Wycz "Pomg"';
$lang['topic_tags'] = 'Tagi tematw, oddzielaj przecinkami, nie uywaj znakw <b>[]</b>';
$lang['sort_methods'] = 'Zablokowane na d';

$lang['Statistics_management'] = 'Moduy statystyk';
$lang['Statistics_config'] = 'Konfiguracja statystyk';
$lang['Acces_menu_denied'] = 'Nie masz dostpu do tego menu';
$lang['Check-files'] = 'Kontrola Systemu';
$lang['New_info'] = 'Prosz czeka, trwa pobieranie informacji o aktualizacjach ...';
$lang['forum_compress'] = 'przez skrypt';
$lang['server_compress'] = 'przez serwer';
$lang['Name'] = 'Nazwa';
$lang['Files_count'] = 'Ilo plikw';
$lang['Rows_count'] = 'Ilo wpisw';
$lang['Config_setup'] = 'Zapis konfiguracji';
$lang['Config_setup_e'] = 'W tym miejscu moesz zapisa biec konfiguracj forum, odtworzy zapisan konfiguracj, ustawi minimaln i maksymaln konfiguracj. Dotyczy to oglnej konfiguracji forum, ustawie portalu, ostrzee, shoutbox\'a, zacznikw, albumu oraz zgaszania postw. Dotyczy to tylko konfiguracji, nie dotyczy informacji ktre s dodawane jak np. zezwolenia, umieszki, cenzura sw, zainstalowane style, banlista, pola w profilu, zabronione nazwy, grupy, fora, kategorie, rozszerzenia zacznikw.';
$lang['Default_config'] = 'Ustaw domyln konfiguracj';
$lang['Max_config'] = 'Ustaw maksymaln konfiguracj';
$lang['Min_config'] = 'Ustaw minimaln konfiguracj';
$lang['Save_config'] = 'Zapisz biec konfiguracj';
$lang['Saved_config'] = 'Ustaw konfiguracj zapisan: %s';
//
// That's all Folks!
// -------------------------------------------------

?>